Budget¶
Budget - Get Budget¶
HTTP Request
GET /api/budgets/{id}
📋 Description: Retrieves detailed budget information for a specified portfolio asset within the Nakisa Portfolio Management Suite, enabling users to analyze financial allocations and performance metrics related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "startDate": "2019-08-24",
11 "dueDate": "2019-08-24",
12 "departmentId": 0,
13 "statusId": 0,
14 "totalBudgetAmount": 0,
15 "allocatedBudgetAmount": 0,
16 "owner": "string",
17 "status": {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "priority": 0,
26 "internalId": 0,
27 "pickListCode": "string",
28 "pickListLabel": "string",
29 "label": "string",
30 "cultureId": 0,
31 "labelDtos": [
32 {
33 "createdBy": "string",
34 "lastModifiedBy": "string",
35 "createdDate": "2019-08-24T14:15:22Z",
36 "lastModifiedDate": "2019-08-24T14:15:22Z",
37 "archived": true,
38 "externalId": "string",
39 "id": 0,
40 "cultureId": 0,
41 "value": "string"
42 }
43 ]
44 },
45 "department": {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "priority": 0,
54 "internalId": 0,
55 "pickListCode": "string",
56 "pickListLabel": "string",
57 "label": "string",
58 "cultureId": 0,
59 "labelDtos": [
60 {
61 "createdBy": "string",
62 "lastModifiedBy": "string",
63 "createdDate": "2019-08-24T14:15:22Z",
64 "lastModifiedDate": "2019-08-24T14:15:22Z",
65 "archived": true,
66 "externalId": "string",
67 "id": 0,
68 "cultureId": 0,
69 "value": "string"
70 }
71 ]
72 },
73 "nimBudgetLinkDtos": [
74 {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "nimBudgetId": 0,
83 "nimInvestmentAreaId": 0,
84 "nimBudgetDto": {
85 "createdBy": "string",
86 "lastModifiedBy": "string",
87 "createdDate": "2019-08-24T14:15:22Z",
88 "lastModifiedDate": "2019-08-24T14:15:22Z",
89 "archived": true,
90 "externalId": "string",
91 "id": 0,
92 "name": "string",
93 "startDate": "2019-08-24",
94 "dueDate": "2019-08-24",
95 "departmentId": 0,
96 "statusId": 0,
97 "totalBudgetAmount": 0,
98 "allocatedBudgetAmount": 0,
99 "owner": "string",
100 "status": {
101 "createdBy": "string",
102 "lastModifiedBy": "string",
103 "createdDate": "2019-08-24T14:15:22Z",
104 "lastModifiedDate": "2019-08-24T14:15:22Z",
105 "archived": true,
106 "externalId": "string",
107 "id": 0,
108 "priority": 0,
109 "internalId": 0,
110 "pickListCode": "string",
111 "pickListLabel": "string",
112 "label": "string",
113 "cultureId": 0,
114 "labelDtos": [
115 {
116 "createdBy": "string",
117 "lastModifiedBy": "string",
118 "createdDate": "2019-08-24T14:15:22Z",
119 "lastModifiedDate": "2019-08-24T14:15:22Z",
120 "archived": true,
121 "externalId": "string",
122 "id": 0,
123 "cultureId": 0,
124 "value": "string"
125 }
126 ]
127 },
128 "department": {
129 "createdBy": "string",
130 "lastModifiedBy": "string",
131 "createdDate": "2019-08-24T14:15:22Z",
132 "lastModifiedDate": "2019-08-24T14:15:22Z",
133 "archived": true,
134 "externalId": "string",
135 "id": 0,
136 "priority": 0,
137 "internalId": 0,
138 "pickListCode": "string",
139 "pickListLabel": "string",
140 "label": "string",
141 "cultureId": 0,
142 "labelDtos": [
143 {
144 "createdBy": "string",
145 "lastModifiedBy": "string",
146 "createdDate": "2019-08-24T14:15:22Z",
147 "lastModifiedDate": "2019-08-24T14:15:22Z",
148 "archived": true,
149 "externalId": "string",
150 "id": 0,
151 "cultureId": 0,
152 "value": "string"
153 }
154 ]
155 },
156 "nimBudgetLinkDtos": []
157 },
158 "nimBudgetInvestmentAreaDto": {
159 "id": 0,
160 "createdOn": "2019-08-24T14:15:22Z",
161 "createdById": "string",
162 "modifiedOn": "2019-08-24T14:15:22Z",
163 "modifiedById": "string",
164 "createdByName": "string",
165 "lastModifiedByName": "string",
166 "amount": 0,
167 "originalCurrencyId": 0,
168 "originalCurrencyDisplayId": "string",
169 "originalAmount": 0,
170 "rate": 0,
171 "rateDate": "2019-08-24",
172 "investmentAreaId": 0,
173 "investmentArea": {
174 "id": 0,
175 "createdOn": "2019-08-24T14:15:22Z",
176 "createdById": "string",
177 "modifiedOn": "2019-08-24T14:15:22Z",
178 "modifiedById": "string",
179 "createdByName": "string",
180 "lastModifiedByName": "string",
181 "displayId": "string",
182 "name": "string",
183 "assetClasses": [
184 0
185 ]
186 },
187 "budgetYearDistributions": [
188 {
189 "id": 0,
190 "createdOn": "2019-08-24T14:15:22Z",
191 "createdById": "string",
192 "modifiedOn": "2019-08-24T14:15:22Z",
193 "modifiedById": "string",
194 "createdByName": "string",
195 "lastModifiedByName": "string",
196 "year": 0,
197 "amount": 0,
198 "originalCurrencyId": 0,
199 "originalCurrencyDisplayId": "string",
200 "originalAmount": 0,
201 "rate": 0,
202 "rateDate": "2019-08-24",
203 "spent": 0,
204 "budgetInvestmentAreaId": 0
205 }
206 ],
207 "investmentRequest": {
208 "id": 0,
209 "createdOn": "2019-08-24T14:15:22Z",
210 "createdById": "string",
211 "modifiedOn": "2019-08-24T14:15:22Z",
212 "modifiedById": "string",
213 "createdByName": "string",
214 "lastModifiedByName": "string",
215 "requestedAmount": 0,
216 "companyCurrency": "string",
217 "investmentAreaIds": [
218 0
219 ],
220 "requestCategoryId": 0,
221 "displayId": "string",
222 "leaseAreaId": 0,
223 "leaseAreaDisplayId": "string",
224 "leaseAreaName": "string",
225 "businessUnitId": 0,
226 "businessUnitDisplayId": "string",
227 "companyId": 0,
228 "companyDisplayId": "string",
229 "departmentId": 0,
230 "departmentDisplayId": "string",
231 "title": "string",
232 "investmentCurrencyId": 0,
233 "investmentCurrencyDisplayId": "string",
234 "companyCurrencyId": 0,
235 "companyCurrencyDisplayId": "string",
236 "reportingCurrencyId": 0,
237 "reportingCurrencyDisplayId": "string",
238 "masterInvestmentRequestId": 0,
239 "inceptionExchangeRate": 0,
240 "exchangeRateValidFrom": "2019-08-24",
241 "weightedAverageExchangeRate": 0,
242 "status": "DRAFT",
243 "workflowStepName": "string",
244 "description": "string",
245 "justification": "string",
246 "totalRequestedAmount": 0,
247 "totalExpense": 0,
248 "totalSpent": 0,
249 "originalRequestedAmount": 0,
250 "modifiedAmount": 0,
251 "currentAvailable": 0,
252 "modificationId": 0,
253 "requestCategory": {
254 "id": 0,
255 "createdOn": "2019-08-24T14:15:22Z",
256 "createdById": "string",
257 "modifiedOn": "2019-08-24T14:15:22Z",
258 "modifiedById": "string",
259 "createdByName": "string",
260 "lastModifiedByName": "string",
261 "displayId": "string",
262 "title": "string",
263 "subTitle": "string",
264 "icon": "string",
265 "budgetTitle": "string",
266 "budgetSubTitle": "string",
267 "investmentTitle": "string",
268 "investmentSubTitle": "string"
269 },
270 "expectedInitiationDate": "2019-08-24",
271 "expectedCompletionDate": "2019-08-24",
272 "actualInitiationDate": "2019-08-24",
273 "actualCompletionDate": "2019-08-24",
274 "requestUrgency": "string",
275 "leaseArea": {
276 "id": 0,
277 "status": "CREATED",
278 "displayId": "string",
279 "name": "string",
280 "businessUnitId": 0
281 },
282 "businessUnit": {
283 "id": 0,
284 "status": "CREATED",
285 "displayId": "string",
286 "name": "string",
287 "leaseAreaId": 0,
288 "companyId": 0
289 },
290 "company": {
291 "id": 0,
292 "status": "CREATED",
293 "displayId": "string",
294 "erpSystemId": 0,
295 "erpSystemDisplayId": "string",
296 "countryId": 0,
297 "countryDisplayId": "string",
298 "postingPeriodVariantId": 0,
299 "name": "string",
300 "postingPeriodVariantDisplayId": "string",
301 "controllingAreaId": 0,
302 "controllingAreaDisplayId": "string",
303 "chartOfAccountId": 0,
304 "chartOfAccountDisplayId": "string",
305 "fiscalVariantId": 0,
306 "fiscalVariantDisplayId": "string",
307 "chartOfDepreciationId": 0,
308 "chartOfDepreciationDisplayId": "string",
309 "purchasingOrganizationId": 0,
310 "assetId": 0,
311 "exchangeRateTypeId": 0,
312 "plantId": 0,
313 "incrementalBorrowingRateId": 0,
314 "businessUnitId": 0,
315 "projectId": 0,
316 "transferVariantId": 0,
317 "partnerId": 0,
318 "departmentId": 0,
319 "accountingStandardId": 0,
320 "generalLedgerAccountId": 0,
321 "consumerPriceIndexCategoryId": 0,
322 "costCenterId": 0,
323 "costCenterRelationValidFrom": "2019-08-24",
324 "costCenterRelationValidTo": "2019-08-24"
325 },
326 "department": {
327 "id": 0,
328 "status": "CREATED",
329 "displayId": "string",
330 "name": "string",
331 "companyId": 0,
332 "leaseGroupId": 0
333 },
334 "linkedBudgets": [
335 {
336 "id": 0,
337 "createdOn": "2019-08-24T14:15:22Z",
338 "createdById": "string",
339 "modifiedOn": "2019-08-24T14:15:22Z",
340 "modifiedById": "string",
341 "createdByName": "string",
342 "lastModifiedByName": "string",
343 "requestCategoryId": 0,
344 "year": 0,
345 "displayId": "string",
346 "project": "string",
347 "requestCategory": {
348 "id": 0,
349 "createdOn": "2019-08-24T14:15:22Z",
350 "createdById": "string",
351 "modifiedOn": "2019-08-24T14:15:22Z",
352 "modifiedById": "string",
353 "createdByName": "string",
354 "lastModifiedByName": "string",
355 "displayId": "string",
356 "title": "string",
357 "subTitle": "string",
358 "icon": "string",
359 "budgetTitle": "string",
360 "budgetSubTitle": "string",
361 "investmentTitle": "string",
362 "investmentSubTitle": "string"
363 }
364 }
365 ],
366 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
367 0
368 ]
369 },
370 "investmentRequests": [
371 {
372 "id": 0,
373 "createdOn": "2019-08-24T14:15:22Z",
374 "createdById": "string",
375 "modifiedOn": "2019-08-24T14:15:22Z",
376 "modifiedById": "string",
377 "createdByName": "string",
378 "lastModifiedByName": "string",
379 "requestedAmount": 0,
380 "companyCurrency": "string",
381 "investmentAreaIds": [
382 0
383 ],
384 "requestCategoryId": 0,
385 "displayId": "string",
386 "leaseAreaId": 0,
387 "leaseAreaDisplayId": "string",
388 "leaseAreaName": "string",
389 "businessUnitId": 0,
390 "businessUnitDisplayId": "string",
391 "companyId": 0,
392 "companyDisplayId": "string",
393 "departmentId": 0,
394 "departmentDisplayId": "string",
395 "title": "string",
396 "investmentCurrencyId": 0,
397 "investmentCurrencyDisplayId": "string",
398 "companyCurrencyId": 0,
399 "companyCurrencyDisplayId": "string",
400 "reportingCurrencyId": 0,
401 "reportingCurrencyDisplayId": "string",
402 "masterInvestmentRequestId": 0,
403 "inceptionExchangeRate": 0,
404 "exchangeRateValidFrom": "2019-08-24",
405 "weightedAverageExchangeRate": 0,
406 "status": "DRAFT",
407 "workflowStepName": "string",
408 "description": "string",
409 "justification": "string",
410 "totalRequestedAmount": 0,
411 "totalExpense": 0,
412 "totalSpent": 0,
413 "originalRequestedAmount": 0,
414 "modifiedAmount": 0,
415 "currentAvailable": 0,
416 "modificationId": 0,
417 "requestCategory": {
418 "id": 0,
419 "createdOn": "2019-08-24T14:15:22Z",
420 "createdById": "string",
421 "modifiedOn": "2019-08-24T14:15:22Z",
422 "modifiedById": "string",
423 "createdByName": "string",
424 "lastModifiedByName": "string",
425 "displayId": "string",
426 "title": "string",
427 "subTitle": "string",
428 "icon": "string",
429 "budgetTitle": "string",
430 "budgetSubTitle": "string",
431 "investmentTitle": "string",
432 "investmentSubTitle": "string"
433 },
434 "expectedInitiationDate": "2019-08-24",
435 "expectedCompletionDate": "2019-08-24",
436 "actualInitiationDate": "2019-08-24",
437 "actualCompletionDate": "2019-08-24",
438 "requestUrgency": "string",
439 "leaseArea": {
440 "id": 0,
441 "status": "CREATED",
442 "displayId": "string",
443 "name": "string",
444 "businessUnitId": 0
445 },
446 "businessUnit": {
447 "id": 0,
448 "status": "CREATED",
449 "displayId": "string",
450 "name": "string",
451 "leaseAreaId": 0,
452 "companyId": 0
453 },
454 "company": {
455 "id": 0,
456 "status": "CREATED",
457 "displayId": "string",
458 "erpSystemId": 0,
459 "erpSystemDisplayId": "string",
460 "countryId": 0,
461 "countryDisplayId": "string",
462 "postingPeriodVariantId": 0,
463 "name": "string",
464 "postingPeriodVariantDisplayId": "string",
465 "controllingAreaId": 0,
466 "controllingAreaDisplayId": "string",
467 "chartOfAccountId": 0,
468 "chartOfAccountDisplayId": "string",
469 "fiscalVariantId": 0,
470 "fiscalVariantDisplayId": "string",
471 "chartOfDepreciationId": 0,
472 "chartOfDepreciationDisplayId": "string",
473 "purchasingOrganizationId": 0,
474 "assetId": 0,
475 "exchangeRateTypeId": 0,
476 "plantId": 0,
477 "incrementalBorrowingRateId": 0,
478 "businessUnitId": 0,
479 "projectId": 0,
480 "transferVariantId": 0,
481 "partnerId": 0,
482 "departmentId": 0,
483 "accountingStandardId": 0,
484 "generalLedgerAccountId": 0,
485 "consumerPriceIndexCategoryId": 0,
486 "costCenterId": 0,
487 "costCenterRelationValidFrom": "2019-08-24",
488 "costCenterRelationValidTo": "2019-08-24"
489 },
490 "department": {
491 "id": 0,
492 "status": "CREATED",
493 "displayId": "string",
494 "name": "string",
495 "companyId": 0,
496 "leaseGroupId": 0
497 },
498 "linkedBudgets": [
499 {
500 "id": 0,
501 "createdOn": "2019-08-24T14:15:22Z",
502 "createdById": "string",
503 "modifiedOn": "2019-08-24T14:15:22Z",
504 "modifiedById": "string",
505 "createdByName": "string",
506 "lastModifiedByName": "string",
507 "requestCategoryId": 0,
508 "year": 0,
509 "displayId": "string",
510 "project": "string",
511 "requestCategory": {
512 "id": 0,
513 "createdOn": "2019-08-24T14:15:22Z",
514 "createdById": "string",
515 "modifiedOn": "2019-08-24T14:15:22Z",
516 "modifiedById": "string",
517 "createdByName": "string",
518 "lastModifiedByName": "string",
519 "displayId": "string",
520 "title": "string",
521 "subTitle": "string",
522 "icon": "string",
523 "budgetTitle": "string",
524 "budgetSubTitle": "string",
525 "investmentTitle": "string",
526 "investmentSubTitle": "string"
527 }
528 }
529 ],
530 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
531 0
532 ]
533 }
534 ],
535 "totalSpent": 0,
536 "totalReserved": 0,
537 "budgetBalance": 0
538 },
539 "nimInvestmentAreaDto": {
540 "id": 0,
541 "createdOn": "2019-08-24T14:15:22Z",
542 "createdById": "string",
543 "modifiedOn": "2019-08-24T14:15:22Z",
544 "modifiedById": "string",
545 "createdByName": "string",
546 "lastModifiedByName": "string",
547 "displayId": "string",
548 "name": "string",
549 "assetClasses": [
550 0
551 ]
552 }
553 }
554 ]
555}
Budget - Update Budget¶
HTTP Request
PUT /api/budgets/{id}
📋 Description: Updates the budget details for a specified portfolio asset within the Nakisa Portfolio Management Suite, enabling enhanced financial analytics and real estate property management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated budget details, including allocation amounts and metadata, relevant to portfolio and asset management within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "startDate": "2019-08-24",
11 "dueDate": "2019-08-24",
12 "departmentId": 0,
13 "statusId": 0,
14 "totalBudgetAmount": 0,
15 "allocatedBudgetAmount": 0,
16 "owner": "string",
17 "status": {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "priority": 0,
26 "internalId": 0,
27 "pickListCode": "string",
28 "pickListLabel": "string",
29 "label": "string",
30 "cultureId": 0,
31 "labelDtos": [
32 {
33 "createdBy": "string",
34 "lastModifiedBy": "string",
35 "createdDate": "2019-08-24T14:15:22Z",
36 "lastModifiedDate": "2019-08-24T14:15:22Z",
37 "archived": true,
38 "externalId": "string",
39 "id": 0,
40 "cultureId": 0,
41 "value": "string"
42 }
43 ]
44 },
45 "department": {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "priority": 0,
54 "internalId": 0,
55 "pickListCode": "string",
56 "pickListLabel": "string",
57 "label": "string",
58 "cultureId": 0,
59 "labelDtos": [
60 {
61 "createdBy": "string",
62 "lastModifiedBy": "string",
63 "createdDate": "2019-08-24T14:15:22Z",
64 "lastModifiedDate": "2019-08-24T14:15:22Z",
65 "archived": true,
66 "externalId": "string",
67 "id": 0,
68 "cultureId": 0,
69 "value": "string"
70 }
71 ]
72 },
73 "nimBudgetLinkDtos": [
74 {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "nimBudgetId": 0,
83 "nimInvestmentAreaId": 0,
84 "nimBudgetDto": {
85 "createdBy": "string",
86 "lastModifiedBy": "string",
87 "createdDate": "2019-08-24T14:15:22Z",
88 "lastModifiedDate": "2019-08-24T14:15:22Z",
89 "archived": true,
90 "externalId": "string",
91 "id": 0,
92 "name": "string",
93 "startDate": "2019-08-24",
94 "dueDate": "2019-08-24",
95 "departmentId": 0,
96 "statusId": 0,
97 "totalBudgetAmount": 0,
98 "allocatedBudgetAmount": 0,
99 "owner": "string",
100 "status": {
101 "createdBy": "string",
102 "lastModifiedBy": "string",
103 "createdDate": "2019-08-24T14:15:22Z",
104 "lastModifiedDate": "2019-08-24T14:15:22Z",
105 "archived": true,
106 "externalId": "string",
107 "id": 0,
108 "priority": 0,
109 "internalId": 0,
110 "pickListCode": "string",
111 "pickListLabel": "string",
112 "label": "string",
113 "cultureId": 0,
114 "labelDtos": [
115 {
116 "createdBy": "string",
117 "lastModifiedBy": "string",
118 "createdDate": "2019-08-24T14:15:22Z",
119 "lastModifiedDate": "2019-08-24T14:15:22Z",
120 "archived": true,
121 "externalId": "string",
122 "id": 0,
123 "cultureId": 0,
124 "value": "string"
125 }
126 ]
127 },
128 "department": {
129 "createdBy": "string",
130 "lastModifiedBy": "string",
131 "createdDate": "2019-08-24T14:15:22Z",
132 "lastModifiedDate": "2019-08-24T14:15:22Z",
133 "archived": true,
134 "externalId": "string",
135 "id": 0,
136 "priority": 0,
137 "internalId": 0,
138 "pickListCode": "string",
139 "pickListLabel": "string",
140 "label": "string",
141 "cultureId": 0,
142 "labelDtos": [
143 {
144 "createdBy": "string",
145 "lastModifiedBy": "string",
146 "createdDate": "2019-08-24T14:15:22Z",
147 "lastModifiedDate": "2019-08-24T14:15:22Z",
148 "archived": true,
149 "externalId": "string",
150 "id": 0,
151 "cultureId": 0,
152 "value": "string"
153 }
154 ]
155 },
156 "nimBudgetLinkDtos": []
157 },
158 "nimBudgetInvestmentAreaDto": {
159 "id": 0,
160 "createdOn": "2019-08-24T14:15:22Z",
161 "createdById": "string",
162 "modifiedOn": "2019-08-24T14:15:22Z",
163 "modifiedById": "string",
164 "createdByName": "string",
165 "lastModifiedByName": "string",
166 "amount": 0,
167 "originalCurrencyId": 0,
168 "originalCurrencyDisplayId": "string",
169 "originalAmount": 0,
170 "rate": 0,
171 "rateDate": "2019-08-24",
172 "investmentAreaId": 0,
173 "investmentArea": {
174 "id": 0,
175 "createdOn": "2019-08-24T14:15:22Z",
176 "createdById": "string",
177 "modifiedOn": "2019-08-24T14:15:22Z",
178 "modifiedById": "string",
179 "createdByName": "string",
180 "lastModifiedByName": "string",
181 "displayId": "string",
182 "name": "string",
183 "assetClasses": [
184 0
185 ]
186 },
187 "budgetYearDistributions": [
188 {
189 "id": 0,
190 "createdOn": "2019-08-24T14:15:22Z",
191 "createdById": "string",
192 "modifiedOn": "2019-08-24T14:15:22Z",
193 "modifiedById": "string",
194 "createdByName": "string",
195 "lastModifiedByName": "string",
196 "year": 0,
197 "amount": 0,
198 "originalCurrencyId": 0,
199 "originalCurrencyDisplayId": "string",
200 "originalAmount": 0,
201 "rate": 0,
202 "rateDate": "2019-08-24",
203 "spent": 0,
204 "budgetInvestmentAreaId": 0
205 }
206 ],
207 "investmentRequest": {
208 "id": 0,
209 "createdOn": "2019-08-24T14:15:22Z",
210 "createdById": "string",
211 "modifiedOn": "2019-08-24T14:15:22Z",
212 "modifiedById": "string",
213 "createdByName": "string",
214 "lastModifiedByName": "string",
215 "requestedAmount": 0,
216 "companyCurrency": "string",
217 "investmentAreaIds": [
218 0
219 ],
220 "requestCategoryId": 0,
221 "displayId": "string",
222 "leaseAreaId": 0,
223 "leaseAreaDisplayId": "string",
224 "leaseAreaName": "string",
225 "businessUnitId": 0,
226 "businessUnitDisplayId": "string",
227 "companyId": 0,
228 "companyDisplayId": "string",
229 "departmentId": 0,
230 "departmentDisplayId": "string",
231 "title": "string",
232 "investmentCurrencyId": 0,
233 "investmentCurrencyDisplayId": "string",
234 "companyCurrencyId": 0,
235 "companyCurrencyDisplayId": "string",
236 "reportingCurrencyId": 0,
237 "reportingCurrencyDisplayId": "string",
238 "masterInvestmentRequestId": 0,
239 "inceptionExchangeRate": 0,
240 "exchangeRateValidFrom": "2019-08-24",
241 "weightedAverageExchangeRate": 0,
242 "status": "DRAFT",
243 "workflowStepName": "string",
244 "description": "string",
245 "justification": "string",
246 "totalRequestedAmount": 0,
247 "totalExpense": 0,
248 "totalSpent": 0,
249 "originalRequestedAmount": 0,
250 "modifiedAmount": 0,
251 "currentAvailable": 0,
252 "modificationId": 0,
253 "requestCategory": {
254 "id": 0,
255 "createdOn": "2019-08-24T14:15:22Z",
256 "createdById": "string",
257 "modifiedOn": "2019-08-24T14:15:22Z",
258 "modifiedById": "string",
259 "createdByName": "string",
260 "lastModifiedByName": "string",
261 "displayId": "string",
262 "title": "string",
263 "subTitle": "string",
264 "icon": "string",
265 "budgetTitle": "string",
266 "budgetSubTitle": "string",
267 "investmentTitle": "string",
268 "investmentSubTitle": "string"
269 },
270 "expectedInitiationDate": "2019-08-24",
271 "expectedCompletionDate": "2019-08-24",
272 "actualInitiationDate": "2019-08-24",
273 "actualCompletionDate": "2019-08-24",
274 "requestUrgency": "string",
275 "leaseArea": {
276 "id": 0,
277 "status": "CREATED",
278 "displayId": "string",
279 "name": "string",
280 "businessUnitId": 0
281 },
282 "businessUnit": {
283 "id": 0,
284 "status": "CREATED",
285 "displayId": "string",
286 "name": "string",
287 "leaseAreaId": 0,
288 "companyId": 0
289 },
290 "company": {
291 "id": 0,
292 "status": "CREATED",
293 "displayId": "string",
294 "erpSystemId": 0,
295 "erpSystemDisplayId": "string",
296 "countryId": 0,
297 "countryDisplayId": "string",
298 "postingPeriodVariantId": 0,
299 "name": "string",
300 "postingPeriodVariantDisplayId": "string",
301 "controllingAreaId": 0,
302 "controllingAreaDisplayId": "string",
303 "chartOfAccountId": 0,
304 "chartOfAccountDisplayId": "string",
305 "fiscalVariantId": 0,
306 "fiscalVariantDisplayId": "string",
307 "chartOfDepreciationId": 0,
308 "chartOfDepreciationDisplayId": "string",
309 "purchasingOrganizationId": 0,
310 "assetId": 0,
311 "exchangeRateTypeId": 0,
312 "plantId": 0,
313 "incrementalBorrowingRateId": 0,
314 "businessUnitId": 0,
315 "projectId": 0,
316 "transferVariantId": 0,
317 "partnerId": 0,
318 "departmentId": 0,
319 "accountingStandardId": 0,
320 "generalLedgerAccountId": 0,
321 "consumerPriceIndexCategoryId": 0,
322 "costCenterId": 0,
323 "costCenterRelationValidFrom": "2019-08-24",
324 "costCenterRelationValidTo": "2019-08-24"
325 },
326 "department": {
327 "id": 0,
328 "status": "CREATED",
329 "displayId": "string",
330 "name": "string",
331 "companyId": 0,
332 "leaseGroupId": 0
333 },
334 "linkedBudgets": [
335 {
336 "id": 0,
337 "createdOn": "2019-08-24T14:15:22Z",
338 "createdById": "string",
339 "modifiedOn": "2019-08-24T14:15:22Z",
340 "modifiedById": "string",
341 "createdByName": "string",
342 "lastModifiedByName": "string",
343 "requestCategoryId": 0,
344 "year": 0,
345 "displayId": "string",
346 "project": "string",
347 "requestCategory": {
348 "id": 0,
349 "createdOn": "2019-08-24T14:15:22Z",
350 "createdById": "string",
351 "modifiedOn": "2019-08-24T14:15:22Z",
352 "modifiedById": "string",
353 "createdByName": "string",
354 "lastModifiedByName": "string",
355 "displayId": "string",
356 "title": "string",
357 "subTitle": "string",
358 "icon": "string",
359 "budgetTitle": "string",
360 "budgetSubTitle": "string",
361 "investmentTitle": "string",
362 "investmentSubTitle": "string"
363 }
364 }
365 ],
366 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
367 0
368 ]
369 },
370 "investmentRequests": [
371 {
372 "id": 0,
373 "createdOn": "2019-08-24T14:15:22Z",
374 "createdById": "string",
375 "modifiedOn": "2019-08-24T14:15:22Z",
376 "modifiedById": "string",
377 "createdByName": "string",
378 "lastModifiedByName": "string",
379 "requestedAmount": 0,
380 "companyCurrency": "string",
381 "investmentAreaIds": [
382 0
383 ],
384 "requestCategoryId": 0,
385 "displayId": "string",
386 "leaseAreaId": 0,
387 "leaseAreaDisplayId": "string",
388 "leaseAreaName": "string",
389 "businessUnitId": 0,
390 "businessUnitDisplayId": "string",
391 "companyId": 0,
392 "companyDisplayId": "string",
393 "departmentId": 0,
394 "departmentDisplayId": "string",
395 "title": "string",
396 "investmentCurrencyId": 0,
397 "investmentCurrencyDisplayId": "string",
398 "companyCurrencyId": 0,
399 "companyCurrencyDisplayId": "string",
400 "reportingCurrencyId": 0,
401 "reportingCurrencyDisplayId": "string",
402 "masterInvestmentRequestId": 0,
403 "inceptionExchangeRate": 0,
404 "exchangeRateValidFrom": "2019-08-24",
405 "weightedAverageExchangeRate": 0,
406 "status": "DRAFT",
407 "workflowStepName": "string",
408 "description": "string",
409 "justification": "string",
410 "totalRequestedAmount": 0,
411 "totalExpense": 0,
412 "totalSpent": 0,
413 "originalRequestedAmount": 0,
414 "modifiedAmount": 0,
415 "currentAvailable": 0,
416 "modificationId": 0,
417 "requestCategory": {
418 "id": 0,
419 "createdOn": "2019-08-24T14:15:22Z",
420 "createdById": "string",
421 "modifiedOn": "2019-08-24T14:15:22Z",
422 "modifiedById": "string",
423 "createdByName": "string",
424 "lastModifiedByName": "string",
425 "displayId": "string",
426 "title": "string",
427 "subTitle": "string",
428 "icon": "string",
429 "budgetTitle": "string",
430 "budgetSubTitle": "string",
431 "investmentTitle": "string",
432 "investmentSubTitle": "string"
433 },
434 "expectedInitiationDate": "2019-08-24",
435 "expectedCompletionDate": "2019-08-24",
436 "actualInitiationDate": "2019-08-24",
437 "actualCompletionDate": "2019-08-24",
438 "requestUrgency": "string",
439 "leaseArea": {
440 "id": 0,
441 "status": "CREATED",
442 "displayId": "string",
443 "name": "string",
444 "businessUnitId": 0
445 },
446 "businessUnit": {
447 "id": 0,
448 "status": "CREATED",
449 "displayId": "string",
450 "name": "string",
451 "leaseAreaId": 0,
452 "companyId": 0
453 },
454 "company": {
455 "id": 0,
456 "status": "CREATED",
457 "displayId": "string",
458 "erpSystemId": 0,
459 "erpSystemDisplayId": "string",
460 "countryId": 0,
461 "countryDisplayId": "string",
462 "postingPeriodVariantId": 0,
463 "name": "string",
464 "postingPeriodVariantDisplayId": "string",
465 "controllingAreaId": 0,
466 "controllingAreaDisplayId": "string",
467 "chartOfAccountId": 0,
468 "chartOfAccountDisplayId": "string",
469 "fiscalVariantId": 0,
470 "fiscalVariantDisplayId": "string",
471 "chartOfDepreciationId": 0,
472 "chartOfDepreciationDisplayId": "string",
473 "purchasingOrganizationId": 0,
474 "assetId": 0,
475 "exchangeRateTypeId": 0,
476 "plantId": 0,
477 "incrementalBorrowingRateId": 0,
478 "businessUnitId": 0,
479 "projectId": 0,
480 "transferVariantId": 0,
481 "partnerId": 0,
482 "departmentId": 0,
483 "accountingStandardId": 0,
484 "generalLedgerAccountId": 0,
485 "consumerPriceIndexCategoryId": 0,
486 "costCenterId": 0,
487 "costCenterRelationValidFrom": "2019-08-24",
488 "costCenterRelationValidTo": "2019-08-24"
489 },
490 "department": {
491 "id": 0,
492 "status": "CREATED",
493 "displayId": "string",
494 "name": "string",
495 "companyId": 0,
496 "leaseGroupId": 0
497 },
498 "linkedBudgets": [
499 {
500 "id": 0,
501 "createdOn": "2019-08-24T14:15:22Z",
502 "createdById": "string",
503 "modifiedOn": "2019-08-24T14:15:22Z",
504 "modifiedById": "string",
505 "createdByName": "string",
506 "lastModifiedByName": "string",
507 "requestCategoryId": 0,
508 "year": 0,
509 "displayId": "string",
510 "project": "string",
511 "requestCategory": {
512 "id": 0,
513 "createdOn": "2019-08-24T14:15:22Z",
514 "createdById": "string",
515 "modifiedOn": "2019-08-24T14:15:22Z",
516 "modifiedById": "string",
517 "createdByName": "string",
518 "lastModifiedByName": "string",
519 "displayId": "string",
520 "title": "string",
521 "subTitle": "string",
522 "icon": "string",
523 "budgetTitle": "string",
524 "budgetSubTitle": "string",
525 "investmentTitle": "string",
526 "investmentSubTitle": "string"
527 }
528 }
529 ],
530 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
531 0
532 ]
533 }
534 ],
535 "totalSpent": 0,
536 "totalReserved": 0,
537 "budgetBalance": 0
538 },
539 "nimInvestmentAreaDto": {
540 "id": 0,
541 "createdOn": "2019-08-24T14:15:22Z",
542 "createdById": "string",
543 "modifiedOn": "2019-08-24T14:15:22Z",
544 "modifiedById": "string",
545 "createdByName": "string",
546 "lastModifiedByName": "string",
547 "displayId": "string",
548 "name": "string",
549 "assetClasses": [
550 0
551 ]
552 }
553 }
554 ]
555}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Budget - Delete Budget¶
HTTP Request
DELETE /api/budgets/{id}
📋 Description: Deletes a specified budget from the Nakisa Portfolio Management Suite, enabling users to effectively manage their portfolio and asset allocations in real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Budget - Update Budget Status¶
HTTP Request
PUT /api/budgets/{id}/statuses/{statusId}
📋 Description: Updates the status of a specific budget within the Nakisa Portfolio Management Suite, enabling users to manage and track portfolio performance effectively in the context of asset and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
statusId |
path |
integer(int64) |
true |
Unique identifier for the status |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Budget - Get Budgets¶
HTTP Request
GET /api/budgets
📋 Description: Retrieves a comprehensive list of budgets associated with portfolios and assets within the Nakisa Portfolio Management Suite, enabling users to analyze financial allocations for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the budget retrieval should be paginated, facilitating efficient data management and analysis within the Nakisa Portfolio Management Suite. |
|
listing |
query |
boolean |
false |
Indicates whether to include detailed listings of budget allocations within the portfolio analytics for real estate properties. |
search |
query |
string |
false |
Search term used to filter and retrieve specific budget entries related to portfolio, asset, analytics, or real estate property within the Nakisa Portfolio Management Suite. |
name |
query |
string |
false |
Name of the resource |
archived |
query |
string |
false |
Indicates whether to retrieve archived budgets within the Nakisa Portfolio Management Suite, enabling users to analyze historical financial data related to portfolio and asset management. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "budgets": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "name": "string",
13 "startDate": "2019-08-24",
14 "dueDate": "2019-08-24",
15 "departmentId": 0,
16 "statusId": 0,
17 "totalBudgetAmount": 0,
18 "allocatedBudgetAmount": 0,
19 "owner": "string",
20 "status": {
21 "createdBy": "string",
22 "lastModifiedBy": "string",
23 "createdDate": "2019-08-24T14:15:22Z",
24 "lastModifiedDate": "2019-08-24T14:15:22Z",
25 "archived": true,
26 "externalId": "string",
27 "id": 0,
28 "priority": 0,
29 "internalId": 0,
30 "pickListCode": "string",
31 "pickListLabel": "string",
32 "label": "string",
33 "cultureId": 0,
34 "labelDtos": [
35 {
36 "createdBy": "string",
37 "lastModifiedBy": "string",
38 "createdDate": "2019-08-24T14:15:22Z",
39 "lastModifiedDate": "2019-08-24T14:15:22Z",
40 "archived": true,
41 "externalId": "string",
42 "id": 0,
43 "cultureId": 0,
44 "value": "string"
45 }
46 ]
47 },
48 "department": {
49 "createdBy": "string",
50 "lastModifiedBy": "string",
51 "createdDate": "2019-08-24T14:15:22Z",
52 "lastModifiedDate": "2019-08-24T14:15:22Z",
53 "archived": true,
54 "externalId": "string",
55 "id": 0,
56 "priority": 0,
57 "internalId": 0,
58 "pickListCode": "string",
59 "pickListLabel": "string",
60 "label": "string",
61 "cultureId": 0,
62 "labelDtos": [
63 {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "cultureId": 0,
72 "value": "string"
73 }
74 ]
75 },
76 "nimBudgetLinkDtos": [
77 {
78 "createdBy": "string",
79 "lastModifiedBy": "string",
80 "createdDate": "2019-08-24T14:15:22Z",
81 "lastModifiedDate": "2019-08-24T14:15:22Z",
82 "archived": true,
83 "externalId": "string",
84 "id": 0,
85 "nimBudgetId": 0,
86 "nimInvestmentAreaId": 0,
87 "nimBudgetDto": {
88 "createdBy": "string",
89 "lastModifiedBy": "string",
90 "createdDate": "2019-08-24T14:15:22Z",
91 "lastModifiedDate": "2019-08-24T14:15:22Z",
92 "archived": true,
93 "externalId": "string",
94 "id": 0,
95 "name": "string",
96 "startDate": "2019-08-24",
97 "dueDate": "2019-08-24",
98 "departmentId": 0,
99 "statusId": 0,
100 "totalBudgetAmount": 0,
101 "allocatedBudgetAmount": 0,
102 "owner": "string",
103 "status": {
104 "createdBy": "string",
105 "lastModifiedBy": "string",
106 "createdDate": "2019-08-24T14:15:22Z",
107 "lastModifiedDate": "2019-08-24T14:15:22Z",
108 "archived": true,
109 "externalId": "string",
110 "id": 0,
111 "priority": 0,
112 "internalId": 0,
113 "pickListCode": "string",
114 "pickListLabel": "string",
115 "label": "string",
116 "cultureId": 0,
117 "labelDtos": [
118 {
119 "createdBy": "string",
120 "lastModifiedBy": "string",
121 "createdDate": "2019-08-24T14:15:22Z",
122 "lastModifiedDate": "2019-08-24T14:15:22Z",
123 "archived": true,
124 "externalId": "string",
125 "id": 0,
126 "cultureId": 0,
127 "value": "string"
128 }
129 ]
130 },
131 "department": {
132 "createdBy": "string",
133 "lastModifiedBy": "string",
134 "createdDate": "2019-08-24T14:15:22Z",
135 "lastModifiedDate": "2019-08-24T14:15:22Z",
136 "archived": true,
137 "externalId": "string",
138 "id": 0,
139 "priority": 0,
140 "internalId": 0,
141 "pickListCode": "string",
142 "pickListLabel": "string",
143 "label": "string",
144 "cultureId": 0,
145 "labelDtos": [
146 {
147 "createdBy": "string",
148 "lastModifiedBy": "string",
149 "createdDate": "2019-08-24T14:15:22Z",
150 "lastModifiedDate": "2019-08-24T14:15:22Z",
151 "archived": true,
152 "externalId": "string",
153 "id": 0,
154 "cultureId": 0,
155 "value": "string"
156 }
157 ]
158 },
159 "nimBudgetLinkDtos": [
160 {}
161 ]
162 },
163 "nimBudgetInvestmentAreaDto": {
164 "id": 0,
165 "createdOn": "2019-08-24T14:15:22Z",
166 "createdById": "string",
167 "modifiedOn": "2019-08-24T14:15:22Z",
168 "modifiedById": "string",
169 "createdByName": "string",
170 "lastModifiedByName": "string",
171 "amount": 0,
172 "originalCurrencyId": 0,
173 "originalCurrencyDisplayId": "string",
174 "originalAmount": 0,
175 "rate": 0,
176 "rateDate": "2019-08-24",
177 "investmentAreaId": 0,
178 "investmentArea": {
179 "id": 0,
180 "createdOn": "2019-08-24T14:15:22Z",
181 "createdById": "string",
182 "modifiedOn": "2019-08-24T14:15:22Z",
183 "modifiedById": "string",
184 "createdByName": "string",
185 "lastModifiedByName": "string",
186 "displayId": "string",
187 "name": "string",
188 "assetClasses": [
189 0
190 ]
191 },
192 "budgetYearDistributions": [
193 {
194 "id": 0,
195 "createdOn": "2019-08-24T14:15:22Z",
196 "createdById": "string",
197 "modifiedOn": "2019-08-24T14:15:22Z",
198 "modifiedById": "string",
199 "createdByName": "string",
200 "lastModifiedByName": "string",
201 "year": 0,
202 "amount": 0,
203 "originalCurrencyId": 0,
204 "originalCurrencyDisplayId": "string",
205 "originalAmount": 0,
206 "rate": 0,
207 "rateDate": "2019-08-24",
208 "spent": 0,
209 "budgetInvestmentAreaId": 0
210 }
211 ],
212 "investmentRequest": {
213 "id": 0,
214 "createdOn": "2019-08-24T14:15:22Z",
215 "createdById": "string",
216 "modifiedOn": "2019-08-24T14:15:22Z",
217 "modifiedById": "string",
218 "createdByName": "string",
219 "lastModifiedByName": "string",
220 "requestedAmount": 0,
221 "companyCurrency": "string",
222 "investmentAreaIds": [
223 0
224 ],
225 "requestCategoryId": 0,
226 "displayId": "string",
227 "leaseAreaId": 0,
228 "leaseAreaDisplayId": "string",
229 "leaseAreaName": "string",
230 "businessUnitId": 0,
231 "businessUnitDisplayId": "string",
232 "companyId": 0,
233 "companyDisplayId": "string",
234 "departmentId": 0,
235 "departmentDisplayId": "string",
236 "title": "string",
237 "investmentCurrencyId": 0,
238 "investmentCurrencyDisplayId": "string",
239 "companyCurrencyId": 0,
240 "companyCurrencyDisplayId": "string",
241 "reportingCurrencyId": 0,
242 "reportingCurrencyDisplayId": "string",
243 "masterInvestmentRequestId": 0,
244 "inceptionExchangeRate": 0,
245 "exchangeRateValidFrom": "2019-08-24",
246 "weightedAverageExchangeRate": 0,
247 "status": "DRAFT",
248 "workflowStepName": "string",
249 "description": "string",
250 "justification": "string",
251 "totalRequestedAmount": 0,
252 "totalExpense": 0,
253 "totalSpent": 0,
254 "originalRequestedAmount": 0,
255 "modifiedAmount": 0,
256 "currentAvailable": 0,
257 "modificationId": 0,
258 "requestCategory": {
259 "id": 0,
260 "createdOn": "2019-08-24T14:15:22Z",
261 "createdById": "string",
262 "modifiedOn": "2019-08-24T14:15:22Z",
263 "modifiedById": "string",
264 "createdByName": "string",
265 "lastModifiedByName": "string",
266 "displayId": "string",
267 "title": "string",
268 "subTitle": "string",
269 "icon": "string",
270 "budgetTitle": "string",
271 "budgetSubTitle": "string",
272 "investmentTitle": "string",
273 "investmentSubTitle": "string"
274 },
275 "expectedInitiationDate": "2019-08-24",
276 "expectedCompletionDate": "2019-08-24",
277 "actualInitiationDate": "2019-08-24",
278 "actualCompletionDate": "2019-08-24",
279 "requestUrgency": "string",
280 "leaseArea": {
281 "id": 0,
282 "status": "CREATED",
283 "displayId": "string",
284 "name": "string",
285 "businessUnitId": 0
286 },
287 "businessUnit": {
288 "id": 0,
289 "status": "CREATED",
290 "displayId": "string",
291 "name": "string",
292 "leaseAreaId": 0,
293 "companyId": 0
294 },
295 "company": {
296 "id": 0,
297 "status": "CREATED",
298 "displayId": "string",
299 "erpSystemId": 0,
300 "erpSystemDisplayId": "string",
301 "countryId": 0,
302 "countryDisplayId": "string",
303 "postingPeriodVariantId": 0,
304 "name": "string",
305 "postingPeriodVariantDisplayId": "string",
306 "controllingAreaId": 0,
307 "controllingAreaDisplayId": "string",
308 "chartOfAccountId": 0,
309 "chartOfAccountDisplayId": "string",
310 "fiscalVariantId": 0,
311 "fiscalVariantDisplayId": "string",
312 "chartOfDepreciationId": 0,
313 "chartOfDepreciationDisplayId": "string",
314 "purchasingOrganizationId": 0,
315 "assetId": 0,
316 "exchangeRateTypeId": 0,
317 "plantId": 0,
318 "incrementalBorrowingRateId": 0,
319 "businessUnitId": 0,
320 "projectId": 0,
321 "transferVariantId": 0,
322 "partnerId": 0,
323 "departmentId": 0,
324 "accountingStandardId": 0,
325 "generalLedgerAccountId": 0,
326 "consumerPriceIndexCategoryId": 0,
327 "costCenterId": 0,
328 "costCenterRelationValidFrom": "2019-08-24",
329 "costCenterRelationValidTo": "2019-08-24"
330 },
331 "department": {
332 "id": 0,
333 "status": "CREATED",
334 "displayId": "string",
335 "name": "string",
336 "companyId": 0,
337 "leaseGroupId": 0
338 },
339 "linkedBudgets": [
340 {
341 "id": 0,
342 "createdOn": "2019-08-24T14:15:22Z",
343 "createdById": "string",
344 "modifiedOn": "2019-08-24T14:15:22Z",
345 "modifiedById": "string",
346 "createdByName": "string",
347 "lastModifiedByName": "string",
348 "requestCategoryId": 0,
349 "year": 0,
350 "displayId": "string",
351 "project": "string",
352 "requestCategory": {}
353 }
354 ],
355 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
356 0
357 ]
358 },
359 "investmentRequests": [
360 {
361 "id": 0,
362 "createdOn": "2019-08-24T14:15:22Z",
363 "createdById": "string",
364 "modifiedOn": "2019-08-24T14:15:22Z",
365 "modifiedById": "string",
366 "createdByName": "string",
367 "lastModifiedByName": "string",
368 "requestedAmount": 0,
369 "companyCurrency": "string",
370 "investmentAreaIds": [
371 0
372 ],
373 "requestCategoryId": 0,
374 "displayId": "string",
375 "leaseAreaId": 0,
376 "leaseAreaDisplayId": "string",
377 "leaseAreaName": "string",
378 "businessUnitId": 0,
379 "businessUnitDisplayId": "string",
380 "companyId": 0,
381 "companyDisplayId": "string",
382 "departmentId": 0,
383 "departmentDisplayId": "string",
384 "title": "string",
385 "investmentCurrencyId": 0,
386 "investmentCurrencyDisplayId": "string",
387 "companyCurrencyId": 0,
388 "companyCurrencyDisplayId": "string",
389 "reportingCurrencyId": 0,
390 "reportingCurrencyDisplayId": "string",
391 "masterInvestmentRequestId": 0,
392 "inceptionExchangeRate": 0,
393 "exchangeRateValidFrom": "2019-08-24",
394 "weightedAverageExchangeRate": 0,
395 "status": "DRAFT",
396 "workflowStepName": "string",
397 "description": "string",
398 "justification": "string",
399 "totalRequestedAmount": 0,
400 "totalExpense": 0,
401 "totalSpent": 0,
402 "originalRequestedAmount": 0,
403 "modifiedAmount": 0,
404 "currentAvailable": 0,
405 "modificationId": 0,
406 "requestCategory": {
407 "id": 0,
408 "createdOn": "2019-08-24T14:15:22Z",
409 "createdById": "string",
410 "modifiedOn": "2019-08-24T14:15:22Z",
411 "modifiedById": "string",
412 "createdByName": "string",
413 "lastModifiedByName": "string",
414 "displayId": "string",
415 "title": "string",
416 "subTitle": "string",
417 "icon": "string",
418 "budgetTitle": "string",
419 "budgetSubTitle": "string",
420 "investmentTitle": "string",
421 "investmentSubTitle": "string"
422 },
423 "expectedInitiationDate": "2019-08-24",
424 "expectedCompletionDate": "2019-08-24",
425 "actualInitiationDate": "2019-08-24",
426 "actualCompletionDate": "2019-08-24",
427 "requestUrgency": "string",
428 "leaseArea": {
429 "id": 0,
430 "status": "CREATED",
431 "displayId": "string",
432 "name": "string",
433 "businessUnitId": 0
434 },
435 "businessUnit": {
436 "id": 0,
437 "status": "CREATED",
438 "displayId": "string",
439 "name": "string",
440 "leaseAreaId": 0,
441 "companyId": 0
442 },
443 "company": {
444 "id": 0,
445 "status": "CREATED",
446 "displayId": "string",
447 "erpSystemId": 0,
448 "erpSystemDisplayId": "string",
449 "countryId": 0,
450 "countryDisplayId": "string",
451 "postingPeriodVariantId": 0,
452 "name": "string",
453 "postingPeriodVariantDisplayId": "string",
454 "controllingAreaId": 0,
455 "controllingAreaDisplayId": "string",
456 "chartOfAccountId": 0,
457 "chartOfAccountDisplayId": "string",
458 "fiscalVariantId": 0,
459 "fiscalVariantDisplayId": "string",
460 "chartOfDepreciationId": 0,
461 "chartOfDepreciationDisplayId": "string",
462 "purchasingOrganizationId": 0,
463 "assetId": 0,
464 "exchangeRateTypeId": 0,
465 "plantId": 0,
466 "incrementalBorrowingRateId": 0,
467 "businessUnitId": 0,
468 "projectId": 0,
469 "transferVariantId": 0,
470 "partnerId": 0,
471 "departmentId": 0,
472 "accountingStandardId": 0,
473 "generalLedgerAccountId": 0,
474 "consumerPriceIndexCategoryId": 0,
475 "costCenterId": 0,
476 "costCenterRelationValidFrom": "2019-08-24",
477 "costCenterRelationValidTo": "2019-08-24"
478 },
479 "department": {
480 "id": 0,
481 "status": "CREATED",
482 "displayId": "string",
483 "name": "string",
484 "companyId": 0,
485 "leaseGroupId": 0
486 },
487 "linkedBudgets": [
488 {}
489 ],
490 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
491 0
492 ]
493 }
494 ],
495 "totalSpent": 0,
496 "totalReserved": 0,
497 "budgetBalance": 0
498 },
499 "nimInvestmentAreaDto": {
500 "id": 0,
501 "createdOn": "2019-08-24T14:15:22Z",
502 "createdById": "string",
503 "modifiedOn": "2019-08-24T14:15:22Z",
504 "modifiedById": "string",
505 "createdByName": "string",
506 "lastModifiedByName": "string",
507 "displayId": "string",
508 "name": "string",
509 "assetClasses": [
510 0
511 ]
512 }
513 }
514 ]
515 }
516 ]
517 },
518 "page": {
519 "size": 0,
520 "totalElements": 0,
521 "totalPages": 0,
522 "number": 0
523 }
524}
Budget - Create Budget¶
HTTP Request
POST /api/budgets
📋 Description: Creates a new budget entry within the Nakisa Portfolio Management Suite, enabling users to effectively manage financial allocations for portfolios, assets, and real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing budget allocation details, including financial metrics and asset identifiers, for effective portfolio management and real estate analytics. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "startDate": "2019-08-24",
11 "dueDate": "2019-08-24",
12 "departmentId": 0,
13 "statusId": 0,
14 "totalBudgetAmount": 0,
15 "allocatedBudgetAmount": 0,
16 "owner": "string",
17 "status": {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "priority": 0,
26 "internalId": 0,
27 "pickListCode": "string",
28 "pickListLabel": "string",
29 "label": "string",
30 "cultureId": 0,
31 "labelDtos": [
32 {
33 "createdBy": "string",
34 "lastModifiedBy": "string",
35 "createdDate": "2019-08-24T14:15:22Z",
36 "lastModifiedDate": "2019-08-24T14:15:22Z",
37 "archived": true,
38 "externalId": "string",
39 "id": 0,
40 "cultureId": 0,
41 "value": "string"
42 }
43 ]
44 },
45 "department": {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "priority": 0,
54 "internalId": 0,
55 "pickListCode": "string",
56 "pickListLabel": "string",
57 "label": "string",
58 "cultureId": 0,
59 "labelDtos": [
60 {
61 "createdBy": "string",
62 "lastModifiedBy": "string",
63 "createdDate": "2019-08-24T14:15:22Z",
64 "lastModifiedDate": "2019-08-24T14:15:22Z",
65 "archived": true,
66 "externalId": "string",
67 "id": 0,
68 "cultureId": 0,
69 "value": "string"
70 }
71 ]
72 },
73 "nimBudgetLinkDtos": [
74 {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "nimBudgetId": 0,
83 "nimInvestmentAreaId": 0,
84 "nimBudgetDto": {
85 "createdBy": "string",
86 "lastModifiedBy": "string",
87 "createdDate": "2019-08-24T14:15:22Z",
88 "lastModifiedDate": "2019-08-24T14:15:22Z",
89 "archived": true,
90 "externalId": "string",
91 "id": 0,
92 "name": "string",
93 "startDate": "2019-08-24",
94 "dueDate": "2019-08-24",
95 "departmentId": 0,
96 "statusId": 0,
97 "totalBudgetAmount": 0,
98 "allocatedBudgetAmount": 0,
99 "owner": "string",
100 "status": {
101 "createdBy": "string",
102 "lastModifiedBy": "string",
103 "createdDate": "2019-08-24T14:15:22Z",
104 "lastModifiedDate": "2019-08-24T14:15:22Z",
105 "archived": true,
106 "externalId": "string",
107 "id": 0,
108 "priority": 0,
109 "internalId": 0,
110 "pickListCode": "string",
111 "pickListLabel": "string",
112 "label": "string",
113 "cultureId": 0,
114 "labelDtos": [
115 {
116 "createdBy": "string",
117 "lastModifiedBy": "string",
118 "createdDate": "2019-08-24T14:15:22Z",
119 "lastModifiedDate": "2019-08-24T14:15:22Z",
120 "archived": true,
121 "externalId": "string",
122 "id": 0,
123 "cultureId": 0,
124 "value": "string"
125 }
126 ]
127 },
128 "department": {
129 "createdBy": "string",
130 "lastModifiedBy": "string",
131 "createdDate": "2019-08-24T14:15:22Z",
132 "lastModifiedDate": "2019-08-24T14:15:22Z",
133 "archived": true,
134 "externalId": "string",
135 "id": 0,
136 "priority": 0,
137 "internalId": 0,
138 "pickListCode": "string",
139 "pickListLabel": "string",
140 "label": "string",
141 "cultureId": 0,
142 "labelDtos": [
143 {
144 "createdBy": "string",
145 "lastModifiedBy": "string",
146 "createdDate": "2019-08-24T14:15:22Z",
147 "lastModifiedDate": "2019-08-24T14:15:22Z",
148 "archived": true,
149 "externalId": "string",
150 "id": 0,
151 "cultureId": 0,
152 "value": "string"
153 }
154 ]
155 },
156 "nimBudgetLinkDtos": []
157 },
158 "nimBudgetInvestmentAreaDto": {
159 "id": 0,
160 "createdOn": "2019-08-24T14:15:22Z",
161 "createdById": "string",
162 "modifiedOn": "2019-08-24T14:15:22Z",
163 "modifiedById": "string",
164 "createdByName": "string",
165 "lastModifiedByName": "string",
166 "amount": 0,
167 "originalCurrencyId": 0,
168 "originalCurrencyDisplayId": "string",
169 "originalAmount": 0,
170 "rate": 0,
171 "rateDate": "2019-08-24",
172 "investmentAreaId": 0,
173 "investmentArea": {
174 "id": 0,
175 "createdOn": "2019-08-24T14:15:22Z",
176 "createdById": "string",
177 "modifiedOn": "2019-08-24T14:15:22Z",
178 "modifiedById": "string",
179 "createdByName": "string",
180 "lastModifiedByName": "string",
181 "displayId": "string",
182 "name": "string",
183 "assetClasses": [
184 0
185 ]
186 },
187 "budgetYearDistributions": [
188 {
189 "id": 0,
190 "createdOn": "2019-08-24T14:15:22Z",
191 "createdById": "string",
192 "modifiedOn": "2019-08-24T14:15:22Z",
193 "modifiedById": "string",
194 "createdByName": "string",
195 "lastModifiedByName": "string",
196 "year": 0,
197 "amount": 0,
198 "originalCurrencyId": 0,
199 "originalCurrencyDisplayId": "string",
200 "originalAmount": 0,
201 "rate": 0,
202 "rateDate": "2019-08-24",
203 "spent": 0,
204 "budgetInvestmentAreaId": 0
205 }
206 ],
207 "investmentRequest": {
208 "id": 0,
209 "createdOn": "2019-08-24T14:15:22Z",
210 "createdById": "string",
211 "modifiedOn": "2019-08-24T14:15:22Z",
212 "modifiedById": "string",
213 "createdByName": "string",
214 "lastModifiedByName": "string",
215 "requestedAmount": 0,
216 "companyCurrency": "string",
217 "investmentAreaIds": [
218 0
219 ],
220 "requestCategoryId": 0,
221 "displayId": "string",
222 "leaseAreaId": 0,
223 "leaseAreaDisplayId": "string",
224 "leaseAreaName": "string",
225 "businessUnitId": 0,
226 "businessUnitDisplayId": "string",
227 "companyId": 0,
228 "companyDisplayId": "string",
229 "departmentId": 0,
230 "departmentDisplayId": "string",
231 "title": "string",
232 "investmentCurrencyId": 0,
233 "investmentCurrencyDisplayId": "string",
234 "companyCurrencyId": 0,
235 "companyCurrencyDisplayId": "string",
236 "reportingCurrencyId": 0,
237 "reportingCurrencyDisplayId": "string",
238 "masterInvestmentRequestId": 0,
239 "inceptionExchangeRate": 0,
240 "exchangeRateValidFrom": "2019-08-24",
241 "weightedAverageExchangeRate": 0,
242 "status": "DRAFT",
243 "workflowStepName": "string",
244 "description": "string",
245 "justification": "string",
246 "totalRequestedAmount": 0,
247 "totalExpense": 0,
248 "totalSpent": 0,
249 "originalRequestedAmount": 0,
250 "modifiedAmount": 0,
251 "currentAvailable": 0,
252 "modificationId": 0,
253 "requestCategory": {
254 "id": 0,
255 "createdOn": "2019-08-24T14:15:22Z",
256 "createdById": "string",
257 "modifiedOn": "2019-08-24T14:15:22Z",
258 "modifiedById": "string",
259 "createdByName": "string",
260 "lastModifiedByName": "string",
261 "displayId": "string",
262 "title": "string",
263 "subTitle": "string",
264 "icon": "string",
265 "budgetTitle": "string",
266 "budgetSubTitle": "string",
267 "investmentTitle": "string",
268 "investmentSubTitle": "string"
269 },
270 "expectedInitiationDate": "2019-08-24",
271 "expectedCompletionDate": "2019-08-24",
272 "actualInitiationDate": "2019-08-24",
273 "actualCompletionDate": "2019-08-24",
274 "requestUrgency": "string",
275 "leaseArea": {
276 "id": 0,
277 "status": "CREATED",
278 "displayId": "string",
279 "name": "string",
280 "businessUnitId": 0
281 },
282 "businessUnit": {
283 "id": 0,
284 "status": "CREATED",
285 "displayId": "string",
286 "name": "string",
287 "leaseAreaId": 0,
288 "companyId": 0
289 },
290 "company": {
291 "id": 0,
292 "status": "CREATED",
293 "displayId": "string",
294 "erpSystemId": 0,
295 "erpSystemDisplayId": "string",
296 "countryId": 0,
297 "countryDisplayId": "string",
298 "postingPeriodVariantId": 0,
299 "name": "string",
300 "postingPeriodVariantDisplayId": "string",
301 "controllingAreaId": 0,
302 "controllingAreaDisplayId": "string",
303 "chartOfAccountId": 0,
304 "chartOfAccountDisplayId": "string",
305 "fiscalVariantId": 0,
306 "fiscalVariantDisplayId": "string",
307 "chartOfDepreciationId": 0,
308 "chartOfDepreciationDisplayId": "string",
309 "purchasingOrganizationId": 0,
310 "assetId": 0,
311 "exchangeRateTypeId": 0,
312 "plantId": 0,
313 "incrementalBorrowingRateId": 0,
314 "businessUnitId": 0,
315 "projectId": 0,
316 "transferVariantId": 0,
317 "partnerId": 0,
318 "departmentId": 0,
319 "accountingStandardId": 0,
320 "generalLedgerAccountId": 0,
321 "consumerPriceIndexCategoryId": 0,
322 "costCenterId": 0,
323 "costCenterRelationValidFrom": "2019-08-24",
324 "costCenterRelationValidTo": "2019-08-24"
325 },
326 "department": {
327 "id": 0,
328 "status": "CREATED",
329 "displayId": "string",
330 "name": "string",
331 "companyId": 0,
332 "leaseGroupId": 0
333 },
334 "linkedBudgets": [
335 {
336 "id": 0,
337 "createdOn": "2019-08-24T14:15:22Z",
338 "createdById": "string",
339 "modifiedOn": "2019-08-24T14:15:22Z",
340 "modifiedById": "string",
341 "createdByName": "string",
342 "lastModifiedByName": "string",
343 "requestCategoryId": 0,
344 "year": 0,
345 "displayId": "string",
346 "project": "string",
347 "requestCategory": {
348 "id": 0,
349 "createdOn": "2019-08-24T14:15:22Z",
350 "createdById": "string",
351 "modifiedOn": "2019-08-24T14:15:22Z",
352 "modifiedById": "string",
353 "createdByName": "string",
354 "lastModifiedByName": "string",
355 "displayId": "string",
356 "title": "string",
357 "subTitle": "string",
358 "icon": "string",
359 "budgetTitle": "string",
360 "budgetSubTitle": "string",
361 "investmentTitle": "string",
362 "investmentSubTitle": "string"
363 }
364 }
365 ],
366 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
367 0
368 ]
369 },
370 "investmentRequests": [
371 {
372 "id": 0,
373 "createdOn": "2019-08-24T14:15:22Z",
374 "createdById": "string",
375 "modifiedOn": "2019-08-24T14:15:22Z",
376 "modifiedById": "string",
377 "createdByName": "string",
378 "lastModifiedByName": "string",
379 "requestedAmount": 0,
380 "companyCurrency": "string",
381 "investmentAreaIds": [
382 0
383 ],
384 "requestCategoryId": 0,
385 "displayId": "string",
386 "leaseAreaId": 0,
387 "leaseAreaDisplayId": "string",
388 "leaseAreaName": "string",
389 "businessUnitId": 0,
390 "businessUnitDisplayId": "string",
391 "companyId": 0,
392 "companyDisplayId": "string",
393 "departmentId": 0,
394 "departmentDisplayId": "string",
395 "title": "string",
396 "investmentCurrencyId": 0,
397 "investmentCurrencyDisplayId": "string",
398 "companyCurrencyId": 0,
399 "companyCurrencyDisplayId": "string",
400 "reportingCurrencyId": 0,
401 "reportingCurrencyDisplayId": "string",
402 "masterInvestmentRequestId": 0,
403 "inceptionExchangeRate": 0,
404 "exchangeRateValidFrom": "2019-08-24",
405 "weightedAverageExchangeRate": 0,
406 "status": "DRAFT",
407 "workflowStepName": "string",
408 "description": "string",
409 "justification": "string",
410 "totalRequestedAmount": 0,
411 "totalExpense": 0,
412 "totalSpent": 0,
413 "originalRequestedAmount": 0,
414 "modifiedAmount": 0,
415 "currentAvailable": 0,
416 "modificationId": 0,
417 "requestCategory": {
418 "id": 0,
419 "createdOn": "2019-08-24T14:15:22Z",
420 "createdById": "string",
421 "modifiedOn": "2019-08-24T14:15:22Z",
422 "modifiedById": "string",
423 "createdByName": "string",
424 "lastModifiedByName": "string",
425 "displayId": "string",
426 "title": "string",
427 "subTitle": "string",
428 "icon": "string",
429 "budgetTitle": "string",
430 "budgetSubTitle": "string",
431 "investmentTitle": "string",
432 "investmentSubTitle": "string"
433 },
434 "expectedInitiationDate": "2019-08-24",
435 "expectedCompletionDate": "2019-08-24",
436 "actualInitiationDate": "2019-08-24",
437 "actualCompletionDate": "2019-08-24",
438 "requestUrgency": "string",
439 "leaseArea": {
440 "id": 0,
441 "status": "CREATED",
442 "displayId": "string",
443 "name": "string",
444 "businessUnitId": 0
445 },
446 "businessUnit": {
447 "id": 0,
448 "status": "CREATED",
449 "displayId": "string",
450 "name": "string",
451 "leaseAreaId": 0,
452 "companyId": 0
453 },
454 "company": {
455 "id": 0,
456 "status": "CREATED",
457 "displayId": "string",
458 "erpSystemId": 0,
459 "erpSystemDisplayId": "string",
460 "countryId": 0,
461 "countryDisplayId": "string",
462 "postingPeriodVariantId": 0,
463 "name": "string",
464 "postingPeriodVariantDisplayId": "string",
465 "controllingAreaId": 0,
466 "controllingAreaDisplayId": "string",
467 "chartOfAccountId": 0,
468 "chartOfAccountDisplayId": "string",
469 "fiscalVariantId": 0,
470 "fiscalVariantDisplayId": "string",
471 "chartOfDepreciationId": 0,
472 "chartOfDepreciationDisplayId": "string",
473 "purchasingOrganizationId": 0,
474 "assetId": 0,
475 "exchangeRateTypeId": 0,
476 "plantId": 0,
477 "incrementalBorrowingRateId": 0,
478 "businessUnitId": 0,
479 "projectId": 0,
480 "transferVariantId": 0,
481 "partnerId": 0,
482 "departmentId": 0,
483 "accountingStandardId": 0,
484 "generalLedgerAccountId": 0,
485 "consumerPriceIndexCategoryId": 0,
486 "costCenterId": 0,
487 "costCenterRelationValidFrom": "2019-08-24",
488 "costCenterRelationValidTo": "2019-08-24"
489 },
490 "department": {
491 "id": 0,
492 "status": "CREATED",
493 "displayId": "string",
494 "name": "string",
495 "companyId": 0,
496 "leaseGroupId": 0
497 },
498 "linkedBudgets": [
499 {
500 "id": 0,
501 "createdOn": "2019-08-24T14:15:22Z",
502 "createdById": "string",
503 "modifiedOn": "2019-08-24T14:15:22Z",
504 "modifiedById": "string",
505 "createdByName": "string",
506 "lastModifiedByName": "string",
507 "requestCategoryId": 0,
508 "year": 0,
509 "displayId": "string",
510 "project": "string",
511 "requestCategory": {
512 "id": 0,
513 "createdOn": "2019-08-24T14:15:22Z",
514 "createdById": "string",
515 "modifiedOn": "2019-08-24T14:15:22Z",
516 "modifiedById": "string",
517 "createdByName": "string",
518 "lastModifiedByName": "string",
519 "displayId": "string",
520 "title": "string",
521 "subTitle": "string",
522 "icon": "string",
523 "budgetTitle": "string",
524 "budgetSubTitle": "string",
525 "investmentTitle": "string",
526 "investmentSubTitle": "string"
527 }
528 }
529 ],
530 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
531 0
532 ]
533 }
534 ],
535 "totalSpent": 0,
536 "totalReserved": 0,
537 "budgetBalance": 0
538 },
539 "nimInvestmentAreaDto": {
540 "id": 0,
541 "createdOn": "2019-08-24T14:15:22Z",
542 "createdById": "string",
543 "modifiedOn": "2019-08-24T14:15:22Z",
544 "modifiedById": "string",
545 "createdByName": "string",
546 "lastModifiedByName": "string",
547 "displayId": "string",
548 "name": "string",
549 "assetClasses": [
550 0
551 ]
552 }
553 }
554 ]
555}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
integer |
Example Responses
10
Budget - Archive Budget¶
HTTP Request
POST /api/budgets/{id}/archive
📋 Description: Archives the specified budget within the Nakisa Portfolio Management Suite, enabling enhanced management and analytics of portfolio assets and real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "startDate": "2019-08-24",
11 "dueDate": "2019-08-24",
12 "departmentId": 0,
13 "statusId": 0,
14 "totalBudgetAmount": 0,
15 "allocatedBudgetAmount": 0,
16 "owner": "string",
17 "status": {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "priority": 0,
26 "internalId": 0,
27 "pickListCode": "string",
28 "pickListLabel": "string",
29 "label": "string",
30 "cultureId": 0,
31 "labelDtos": [
32 {
33 "createdBy": "string",
34 "lastModifiedBy": "string",
35 "createdDate": "2019-08-24T14:15:22Z",
36 "lastModifiedDate": "2019-08-24T14:15:22Z",
37 "archived": true,
38 "externalId": "string",
39 "id": 0,
40 "cultureId": 0,
41 "value": "string"
42 }
43 ]
44 },
45 "department": {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "priority": 0,
54 "internalId": 0,
55 "pickListCode": "string",
56 "pickListLabel": "string",
57 "label": "string",
58 "cultureId": 0,
59 "labelDtos": [
60 {
61 "createdBy": "string",
62 "lastModifiedBy": "string",
63 "createdDate": "2019-08-24T14:15:22Z",
64 "lastModifiedDate": "2019-08-24T14:15:22Z",
65 "archived": true,
66 "externalId": "string",
67 "id": 0,
68 "cultureId": 0,
69 "value": "string"
70 }
71 ]
72 },
73 "nimBudgetLinkDtos": [
74 {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "nimBudgetId": 0,
83 "nimInvestmentAreaId": 0,
84 "nimBudgetDto": {
85 "createdBy": "string",
86 "lastModifiedBy": "string",
87 "createdDate": "2019-08-24T14:15:22Z",
88 "lastModifiedDate": "2019-08-24T14:15:22Z",
89 "archived": true,
90 "externalId": "string",
91 "id": 0,
92 "name": "string",
93 "startDate": "2019-08-24",
94 "dueDate": "2019-08-24",
95 "departmentId": 0,
96 "statusId": 0,
97 "totalBudgetAmount": 0,
98 "allocatedBudgetAmount": 0,
99 "owner": "string",
100 "status": {
101 "createdBy": "string",
102 "lastModifiedBy": "string",
103 "createdDate": "2019-08-24T14:15:22Z",
104 "lastModifiedDate": "2019-08-24T14:15:22Z",
105 "archived": true,
106 "externalId": "string",
107 "id": 0,
108 "priority": 0,
109 "internalId": 0,
110 "pickListCode": "string",
111 "pickListLabel": "string",
112 "label": "string",
113 "cultureId": 0,
114 "labelDtos": [
115 {
116 "createdBy": "string",
117 "lastModifiedBy": "string",
118 "createdDate": "2019-08-24T14:15:22Z",
119 "lastModifiedDate": "2019-08-24T14:15:22Z",
120 "archived": true,
121 "externalId": "string",
122 "id": 0,
123 "cultureId": 0,
124 "value": "string"
125 }
126 ]
127 },
128 "department": {
129 "createdBy": "string",
130 "lastModifiedBy": "string",
131 "createdDate": "2019-08-24T14:15:22Z",
132 "lastModifiedDate": "2019-08-24T14:15:22Z",
133 "archived": true,
134 "externalId": "string",
135 "id": 0,
136 "priority": 0,
137 "internalId": 0,
138 "pickListCode": "string",
139 "pickListLabel": "string",
140 "label": "string",
141 "cultureId": 0,
142 "labelDtos": [
143 {
144 "createdBy": "string",
145 "lastModifiedBy": "string",
146 "createdDate": "2019-08-24T14:15:22Z",
147 "lastModifiedDate": "2019-08-24T14:15:22Z",
148 "archived": true,
149 "externalId": "string",
150 "id": 0,
151 "cultureId": 0,
152 "value": "string"
153 }
154 ]
155 },
156 "nimBudgetLinkDtos": []
157 },
158 "nimBudgetInvestmentAreaDto": {
159 "id": 0,
160 "createdOn": "2019-08-24T14:15:22Z",
161 "createdById": "string",
162 "modifiedOn": "2019-08-24T14:15:22Z",
163 "modifiedById": "string",
164 "createdByName": "string",
165 "lastModifiedByName": "string",
166 "amount": 0,
167 "originalCurrencyId": 0,
168 "originalCurrencyDisplayId": "string",
169 "originalAmount": 0,
170 "rate": 0,
171 "rateDate": "2019-08-24",
172 "investmentAreaId": 0,
173 "investmentArea": {
174 "id": 0,
175 "createdOn": "2019-08-24T14:15:22Z",
176 "createdById": "string",
177 "modifiedOn": "2019-08-24T14:15:22Z",
178 "modifiedById": "string",
179 "createdByName": "string",
180 "lastModifiedByName": "string",
181 "displayId": "string",
182 "name": "string",
183 "assetClasses": [
184 0
185 ]
186 },
187 "budgetYearDistributions": [
188 {
189 "id": 0,
190 "createdOn": "2019-08-24T14:15:22Z",
191 "createdById": "string",
192 "modifiedOn": "2019-08-24T14:15:22Z",
193 "modifiedById": "string",
194 "createdByName": "string",
195 "lastModifiedByName": "string",
196 "year": 0,
197 "amount": 0,
198 "originalCurrencyId": 0,
199 "originalCurrencyDisplayId": "string",
200 "originalAmount": 0,
201 "rate": 0,
202 "rateDate": "2019-08-24",
203 "spent": 0,
204 "budgetInvestmentAreaId": 0
205 }
206 ],
207 "investmentRequest": {
208 "id": 0,
209 "createdOn": "2019-08-24T14:15:22Z",
210 "createdById": "string",
211 "modifiedOn": "2019-08-24T14:15:22Z",
212 "modifiedById": "string",
213 "createdByName": "string",
214 "lastModifiedByName": "string",
215 "requestedAmount": 0,
216 "companyCurrency": "string",
217 "investmentAreaIds": [
218 0
219 ],
220 "requestCategoryId": 0,
221 "displayId": "string",
222 "leaseAreaId": 0,
223 "leaseAreaDisplayId": "string",
224 "leaseAreaName": "string",
225 "businessUnitId": 0,
226 "businessUnitDisplayId": "string",
227 "companyId": 0,
228 "companyDisplayId": "string",
229 "departmentId": 0,
230 "departmentDisplayId": "string",
231 "title": "string",
232 "investmentCurrencyId": 0,
233 "investmentCurrencyDisplayId": "string",
234 "companyCurrencyId": 0,
235 "companyCurrencyDisplayId": "string",
236 "reportingCurrencyId": 0,
237 "reportingCurrencyDisplayId": "string",
238 "masterInvestmentRequestId": 0,
239 "inceptionExchangeRate": 0,
240 "exchangeRateValidFrom": "2019-08-24",
241 "weightedAverageExchangeRate": 0,
242 "status": "DRAFT",
243 "workflowStepName": "string",
244 "description": "string",
245 "justification": "string",
246 "totalRequestedAmount": 0,
247 "totalExpense": 0,
248 "totalSpent": 0,
249 "originalRequestedAmount": 0,
250 "modifiedAmount": 0,
251 "currentAvailable": 0,
252 "modificationId": 0,
253 "requestCategory": {
254 "id": 0,
255 "createdOn": "2019-08-24T14:15:22Z",
256 "createdById": "string",
257 "modifiedOn": "2019-08-24T14:15:22Z",
258 "modifiedById": "string",
259 "createdByName": "string",
260 "lastModifiedByName": "string",
261 "displayId": "string",
262 "title": "string",
263 "subTitle": "string",
264 "icon": "string",
265 "budgetTitle": "string",
266 "budgetSubTitle": "string",
267 "investmentTitle": "string",
268 "investmentSubTitle": "string"
269 },
270 "expectedInitiationDate": "2019-08-24",
271 "expectedCompletionDate": "2019-08-24",
272 "actualInitiationDate": "2019-08-24",
273 "actualCompletionDate": "2019-08-24",
274 "requestUrgency": "string",
275 "leaseArea": {
276 "id": 0,
277 "status": "CREATED",
278 "displayId": "string",
279 "name": "string",
280 "businessUnitId": 0
281 },
282 "businessUnit": {
283 "id": 0,
284 "status": "CREATED",
285 "displayId": "string",
286 "name": "string",
287 "leaseAreaId": 0,
288 "companyId": 0
289 },
290 "company": {
291 "id": 0,
292 "status": "CREATED",
293 "displayId": "string",
294 "erpSystemId": 0,
295 "erpSystemDisplayId": "string",
296 "countryId": 0,
297 "countryDisplayId": "string",
298 "postingPeriodVariantId": 0,
299 "name": "string",
300 "postingPeriodVariantDisplayId": "string",
301 "controllingAreaId": 0,
302 "controllingAreaDisplayId": "string",
303 "chartOfAccountId": 0,
304 "chartOfAccountDisplayId": "string",
305 "fiscalVariantId": 0,
306 "fiscalVariantDisplayId": "string",
307 "chartOfDepreciationId": 0,
308 "chartOfDepreciationDisplayId": "string",
309 "purchasingOrganizationId": 0,
310 "assetId": 0,
311 "exchangeRateTypeId": 0,
312 "plantId": 0,
313 "incrementalBorrowingRateId": 0,
314 "businessUnitId": 0,
315 "projectId": 0,
316 "transferVariantId": 0,
317 "partnerId": 0,
318 "departmentId": 0,
319 "accountingStandardId": 0,
320 "generalLedgerAccountId": 0,
321 "consumerPriceIndexCategoryId": 0,
322 "costCenterId": 0,
323 "costCenterRelationValidFrom": "2019-08-24",
324 "costCenterRelationValidTo": "2019-08-24"
325 },
326 "department": {
327 "id": 0,
328 "status": "CREATED",
329 "displayId": "string",
330 "name": "string",
331 "companyId": 0,
332 "leaseGroupId": 0
333 },
334 "linkedBudgets": [
335 {
336 "id": 0,
337 "createdOn": "2019-08-24T14:15:22Z",
338 "createdById": "string",
339 "modifiedOn": "2019-08-24T14:15:22Z",
340 "modifiedById": "string",
341 "createdByName": "string",
342 "lastModifiedByName": "string",
343 "requestCategoryId": 0,
344 "year": 0,
345 "displayId": "string",
346 "project": "string",
347 "requestCategory": {
348 "id": 0,
349 "createdOn": "2019-08-24T14:15:22Z",
350 "createdById": "string",
351 "modifiedOn": "2019-08-24T14:15:22Z",
352 "modifiedById": "string",
353 "createdByName": "string",
354 "lastModifiedByName": "string",
355 "displayId": "string",
356 "title": "string",
357 "subTitle": "string",
358 "icon": "string",
359 "budgetTitle": "string",
360 "budgetSubTitle": "string",
361 "investmentTitle": "string",
362 "investmentSubTitle": "string"
363 }
364 }
365 ],
366 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
367 0
368 ]
369 },
370 "investmentRequests": [
371 {
372 "id": 0,
373 "createdOn": "2019-08-24T14:15:22Z",
374 "createdById": "string",
375 "modifiedOn": "2019-08-24T14:15:22Z",
376 "modifiedById": "string",
377 "createdByName": "string",
378 "lastModifiedByName": "string",
379 "requestedAmount": 0,
380 "companyCurrency": "string",
381 "investmentAreaIds": [
382 0
383 ],
384 "requestCategoryId": 0,
385 "displayId": "string",
386 "leaseAreaId": 0,
387 "leaseAreaDisplayId": "string",
388 "leaseAreaName": "string",
389 "businessUnitId": 0,
390 "businessUnitDisplayId": "string",
391 "companyId": 0,
392 "companyDisplayId": "string",
393 "departmentId": 0,
394 "departmentDisplayId": "string",
395 "title": "string",
396 "investmentCurrencyId": 0,
397 "investmentCurrencyDisplayId": "string",
398 "companyCurrencyId": 0,
399 "companyCurrencyDisplayId": "string",
400 "reportingCurrencyId": 0,
401 "reportingCurrencyDisplayId": "string",
402 "masterInvestmentRequestId": 0,
403 "inceptionExchangeRate": 0,
404 "exchangeRateValidFrom": "2019-08-24",
405 "weightedAverageExchangeRate": 0,
406 "status": "DRAFT",
407 "workflowStepName": "string",
408 "description": "string",
409 "justification": "string",
410 "totalRequestedAmount": 0,
411 "totalExpense": 0,
412 "totalSpent": 0,
413 "originalRequestedAmount": 0,
414 "modifiedAmount": 0,
415 "currentAvailable": 0,
416 "modificationId": 0,
417 "requestCategory": {
418 "id": 0,
419 "createdOn": "2019-08-24T14:15:22Z",
420 "createdById": "string",
421 "modifiedOn": "2019-08-24T14:15:22Z",
422 "modifiedById": "string",
423 "createdByName": "string",
424 "lastModifiedByName": "string",
425 "displayId": "string",
426 "title": "string",
427 "subTitle": "string",
428 "icon": "string",
429 "budgetTitle": "string",
430 "budgetSubTitle": "string",
431 "investmentTitle": "string",
432 "investmentSubTitle": "string"
433 },
434 "expectedInitiationDate": "2019-08-24",
435 "expectedCompletionDate": "2019-08-24",
436 "actualInitiationDate": "2019-08-24",
437 "actualCompletionDate": "2019-08-24",
438 "requestUrgency": "string",
439 "leaseArea": {
440 "id": 0,
441 "status": "CREATED",
442 "displayId": "string",
443 "name": "string",
444 "businessUnitId": 0
445 },
446 "businessUnit": {
447 "id": 0,
448 "status": "CREATED",
449 "displayId": "string",
450 "name": "string",
451 "leaseAreaId": 0,
452 "companyId": 0
453 },
454 "company": {
455 "id": 0,
456 "status": "CREATED",
457 "displayId": "string",
458 "erpSystemId": 0,
459 "erpSystemDisplayId": "string",
460 "countryId": 0,
461 "countryDisplayId": "string",
462 "postingPeriodVariantId": 0,
463 "name": "string",
464 "postingPeriodVariantDisplayId": "string",
465 "controllingAreaId": 0,
466 "controllingAreaDisplayId": "string",
467 "chartOfAccountId": 0,
468 "chartOfAccountDisplayId": "string",
469 "fiscalVariantId": 0,
470 "fiscalVariantDisplayId": "string",
471 "chartOfDepreciationId": 0,
472 "chartOfDepreciationDisplayId": "string",
473 "purchasingOrganizationId": 0,
474 "assetId": 0,
475 "exchangeRateTypeId": 0,
476 "plantId": 0,
477 "incrementalBorrowingRateId": 0,
478 "businessUnitId": 0,
479 "projectId": 0,
480 "transferVariantId": 0,
481 "partnerId": 0,
482 "departmentId": 0,
483 "accountingStandardId": 0,
484 "generalLedgerAccountId": 0,
485 "consumerPriceIndexCategoryId": 0,
486 "costCenterId": 0,
487 "costCenterRelationValidFrom": "2019-08-24",
488 "costCenterRelationValidTo": "2019-08-24"
489 },
490 "department": {
491 "id": 0,
492 "status": "CREATED",
493 "displayId": "string",
494 "name": "string",
495 "companyId": 0,
496 "leaseGroupId": 0
497 },
498 "linkedBudgets": [
499 {
500 "id": 0,
501 "createdOn": "2019-08-24T14:15:22Z",
502 "createdById": "string",
503 "modifiedOn": "2019-08-24T14:15:22Z",
504 "modifiedById": "string",
505 "createdByName": "string",
506 "lastModifiedByName": "string",
507 "requestCategoryId": 0,
508 "year": 0,
509 "displayId": "string",
510 "project": "string",
511 "requestCategory": {
512 "id": 0,
513 "createdOn": "2019-08-24T14:15:22Z",
514 "createdById": "string",
515 "modifiedOn": "2019-08-24T14:15:22Z",
516 "modifiedById": "string",
517 "createdByName": "string",
518 "lastModifiedByName": "string",
519 "displayId": "string",
520 "title": "string",
521 "subTitle": "string",
522 "icon": "string",
523 "budgetTitle": "string",
524 "budgetSubTitle": "string",
525 "investmentTitle": "string",
526 "investmentSubTitle": "string"
527 }
528 }
529 ],
530 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
531 0
532 ]
533 }
534 ],
535 "totalSpent": 0,
536 "totalReserved": 0,
537 "budgetBalance": 0
538 },
539 "nimInvestmentAreaDto": {
540 "id": 0,
541 "createdOn": "2019-08-24T14:15:22Z",
542 "createdById": "string",
543 "modifiedOn": "2019-08-24T14:15:22Z",
544 "modifiedById": "string",
545 "createdByName": "string",
546 "lastModifiedByName": "string",
547 "displayId": "string",
548 "name": "string",
549 "assetClasses": [
550 0
551 ]
552 }
553 }
554 ]
555}
Budget - Add Projects To Budget¶
HTTP Request
POST /api/budgets/{budgetId}/projects
📋 Description: Creates a new project under the specified budget, enabling effective management and allocation of resources within the Nakisa Portfolio Management Suite for enhanced portfolio and asset analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
budgetId |
path |
integer(int64) |
true |
Unique identifier for the budget |
body |
body |
array[integer] |
true |
Request body containing project details, including budget allocation and performance metrics, for effective portfolio management within the Nakisa Portfolio Management Suite. |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Budget - Get Pictures For Location¶
HTTP Request
GET /api/budgets/{budgetId}/pictures
📋 Description: Retrieves a list of pictures associated with a specific budget, enabling users to visualize and analyze portfolio assets within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the response should be paginated, allowing users to efficiently retrieve and manage pictures associated with a specific budget within the Nakisa Portfolio Management Suite. |
|
budgetId |
path |
string |
true |
Unique identifier for the budget |
search |
query |
string |
false |
Search term used to filter and retrieve specific pictures associated with a budget in the Nakisa Portfolio Management Suite, enhancing asset and portfolio analytics for real estate properties. |
default |
query |
string |
false |
Specifies the default picture to be retrieved for the budget identified by {budgetId} within the Nakisa Portfolio Management Suite, facilitating enhanced asset visualization and analytics in real estate property management. |
name |
query |
string |
false |
Name of the resource |
type |
query |
string |
false |
Type of the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "budgets": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "isDefault": true,
12 "documentDto": {
13 "createdBy": "string",
14 "lastModifiedBy": "string",
15 "createdDate": "2019-08-24T14:15:22Z",
16 "lastModifiedDate": "2019-08-24T14:15:22Z",
17 "archived": true,
18 "externalId": "string",
19 "id": 0,
20 "name": "string",
21 "title": "string",
22 "type": "string",
23 "description": "string",
24 "link": "string",
25 "signedDate": "2019-08-24",
26 "documentTypeId": 0,
27 "statusId": 0,
28 "shareable": true,
29 "size": 0,
30 "documentType": {
31 "createdBy": "string",
32 "lastModifiedBy": "string",
33 "createdDate": "2019-08-24T14:15:22Z",
34 "lastModifiedDate": "2019-08-24T14:15:22Z",
35 "archived": true,
36 "externalId": "string",
37 "id": 0,
38 "priority": 0,
39 "internalId": 0,
40 "pickListCode": "string",
41 "pickListLabel": "string",
42 "label": "string",
43 "cultureId": 0,
44 "labelDtos": [
45 {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "cultureId": 0,
54 "value": "string"
55 }
56 ]
57 },
58 "status": {
59 "createdBy": "string",
60 "lastModifiedBy": "string",
61 "createdDate": "2019-08-24T14:15:22Z",
62 "lastModifiedDate": "2019-08-24T14:15:22Z",
63 "archived": true,
64 "externalId": "string",
65 "id": 0,
66 "priority": 0,
67 "internalId": 0,
68 "pickListCode": "string",
69 "pickListLabel": "string",
70 "label": "string",
71 "cultureId": 0,
72 "labelDtos": [
73 {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "cultureId": 0,
82 "value": "string"
83 }
84 ]
85 }
86 }
87 }
88 ]
89 },
90 "page": {
91 "size": 0,
92 "totalElements": 0,
93 "totalPages": 0,
94 "number": 0
95 }
96}
Budget - Upload Budget Picture¶
HTTP Request
POST /api/budgets/{budgetId}/pictures
📋 Description: Uploads images associated with a specific budget in the Nakisa Portfolio Management Suite, enhancing asset visualization and analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
budgetId |
path |
integer(int64) |
true |
Unique identifier for the budget |
body |
body |
object |
false |
Request body containing the image data and associated metadata for the specified budget, facilitating enhanced portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
» file |
body |
string(binary) |
true |
none |
» document |
body |
true |
Data transfer object representing a document within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio assets, analytics, and real estate properties. |
|
»» createdBy |
body |
string |
false |
Username of who created this resource |
»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»» externalId |
body |
string |
false |
Unique identifier for the external |
»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»» name |
body |
string |
false |
Name of the resource |
»» title |
body |
string |
false |
Title of the resource |
»» type |
body |
string |
false |
Type of the resource |
»» description |
body |
string |
false |
Description of the resource |
»» link |
body |
string |
false |
URL link to access detailed information or resources related to the portfolio, asset, or real estate property within the Nakisa Portfolio Management Suite. |
»» signedDate |
body |
string(date) |
false |
Date of the signed |
»» documentTypeId |
body |
integer(int64) |
false |
Unique identifier for the document type |
»» statusId |
body |
integer(int64) |
false |
Unique identifier for the status |
»» shareable |
body |
boolean |
false |
Boolean flag indicating shareable status |
»» size |
body |
integer(int64) |
false |
Number of items per page |
»» documentType |
body |
false |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»» externalId |
body |
string |
false |
Unique identifier for the external |
»»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»»» priority |
body |
integer(int64) |
false |
Priority of the resource |
»»» internalId |
body |
integer(int64) |
false |
Unique identifier for the internal |
»»» pickListCode |
body |
string |
false |
Code for the pick list |
»»» pickListLabel |
body |
string |
false |
Label for the pick list |
»»» label |
body |
string |
false |
Label for the resource |
»»» cultureId |
body |
integer(int64) |
false |
Unique identifier for the culture |
»»» labelDtos |
body |
false |
List of labelDtos items |
|
»»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»»» externalId |
body |
string |
false |
Unique identifier for the external |
»»»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»»»» cultureId |
body |
integer(int64) |
false |
Unique identifier for the culture |
»»»» value |
body |
string |
true |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
»» status |
body |
false |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
Body Parameters
1{
2 "document": {
3 "archived": true,
4 "createdBy": "string",
5 "createdDate": "2019-08-24 14:15:22+00:00",
6 "description": "string",
7 "documentType": {
8 "archived": true,
9 "createdBy": "string",
10 "createdDate": "2019-08-24 14:15:22+00:00",
11 "cultureId": 0,
12 "externalId": "string",
13 "id": 0,
14 "internalId": 0,
15 "label": "string",
16 "labelDtos": [
17 {
18 "archived": true,
19 "createdBy": "string",
20 "createdDate": "2019-08-24 14:15:22+00:00",
21 "cultureId": 0,
22 "externalId": "string",
23 "id": 0,
24 "lastModifiedBy": "string",
25 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
26 "value": "string"
27 }
28 ],
29 "lastModifiedBy": "string",
30 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
31 "pickListCode": "string",
32 "pickListLabel": "string",
33 "priority": 0
34 },
35 "documentTypeId": 0,
36 "externalId": "string",
37 "id": 0,
38 "lastModifiedBy": "string",
39 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
40 "link": "string",
41 "name": "string",
42 "shareable": true,
43 "signedDate": "2019-08-24",
44 "size": 0,
45 "status": {
46 "archived": true,
47 "createdBy": "string",
48 "createdDate": "2019-08-24 14:15:22+00:00",
49 "cultureId": 0,
50 "externalId": "string",
51 "id": 0,
52 "internalId": 0,
53 "label": "string",
54 "labelDtos": [
55 {
56 "archived": true,
57 "createdBy": "string",
58 "createdDate": "2019-08-24 14:15:22+00:00",
59 "cultureId": 0,
60 "externalId": "string",
61 "id": 0,
62 "lastModifiedBy": "string",
63 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
64 "value": "string"
65 }
66 ],
67 "lastModifiedBy": "string",
68 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
69 "pickListCode": "string",
70 "pickListLabel": "string",
71 "priority": 0
72 },
73 "statusId": 0,
74 "title": "string",
75 "type": "string"
76 },
77 "file": "string"
78}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "isDefault": true,
9 "documentDto": {
10 "createdBy": "string",
11 "lastModifiedBy": "string",
12 "createdDate": "2019-08-24T14:15:22Z",
13 "lastModifiedDate": "2019-08-24T14:15:22Z",
14 "archived": true,
15 "externalId": "string",
16 "id": 0,
17 "name": "string",
18 "title": "string",
19 "type": "string",
20 "description": "string",
21 "link": "string",
22 "signedDate": "2019-08-24",
23 "documentTypeId": 0,
24 "statusId": 0,
25 "shareable": true,
26 "size": 0,
27 "documentType": {
28 "createdBy": "string",
29 "lastModifiedBy": "string",
30 "createdDate": "2019-08-24T14:15:22Z",
31 "lastModifiedDate": "2019-08-24T14:15:22Z",
32 "archived": true,
33 "externalId": "string",
34 "id": 0,
35 "priority": 0,
36 "internalId": 0,
37 "pickListCode": "string",
38 "pickListLabel": "string",
39 "label": "string",
40 "cultureId": 0,
41 "labelDtos": [
42 {
43 "createdBy": "string",
44 "lastModifiedBy": "string",
45 "createdDate": "2019-08-24T14:15:22Z",
46 "lastModifiedDate": "2019-08-24T14:15:22Z",
47 "archived": true,
48 "externalId": "string",
49 "id": 0,
50 "cultureId": 0,
51 "value": "string"
52 }
53 ]
54 },
55 "status": {
56 "createdBy": "string",
57 "lastModifiedBy": "string",
58 "createdDate": "2019-08-24T14:15:22Z",
59 "lastModifiedDate": "2019-08-24T14:15:22Z",
60 "archived": true,
61 "externalId": "string",
62 "id": 0,
63 "priority": 0,
64 "internalId": 0,
65 "pickListCode": "string",
66 "pickListLabel": "string",
67 "label": "string",
68 "cultureId": 0,
69 "labelDtos": [
70 {
71 "createdBy": "string",
72 "lastModifiedBy": "string",
73 "createdDate": "2019-08-24T14:15:22Z",
74 "lastModifiedDate": "2019-08-24T14:15:22Z",
75 "archived": true,
76 "externalId": "string",
77 "id": 0,
78 "cultureId": 0,
79 "value": "string"
80 }
81 ]
82 }
83 }
84}
Budget - Set Default Location Picture¶
HTTP Request
POST /api/budgets/{budgetId}/pictures/{pictureId}/default
📋 Description: Sets the specified picture as the default image for the designated budget within the Nakisa Portfolio Management Suite, enhancing visual representation for portfolio and asset analytics in real estate property management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
budgetId |
path |
integer(int64) |
true |
Unique identifier for the budget |
pictureId |
path |
integer(int64) |
true |
Unique identifier for the picture |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "isDefault": true,
9 "documentDto": {
10 "createdBy": "string",
11 "lastModifiedBy": "string",
12 "createdDate": "2019-08-24T14:15:22Z",
13 "lastModifiedDate": "2019-08-24T14:15:22Z",
14 "archived": true,
15 "externalId": "string",
16 "id": 0,
17 "name": "string",
18 "title": "string",
19 "type": "string",
20 "description": "string",
21 "link": "string",
22 "signedDate": "2019-08-24",
23 "documentTypeId": 0,
24 "statusId": 0,
25 "shareable": true,
26 "size": 0,
27 "documentType": {
28 "createdBy": "string",
29 "lastModifiedBy": "string",
30 "createdDate": "2019-08-24T14:15:22Z",
31 "lastModifiedDate": "2019-08-24T14:15:22Z",
32 "archived": true,
33 "externalId": "string",
34 "id": 0,
35 "priority": 0,
36 "internalId": 0,
37 "pickListCode": "string",
38 "pickListLabel": "string",
39 "label": "string",
40 "cultureId": 0,
41 "labelDtos": [
42 {
43 "createdBy": "string",
44 "lastModifiedBy": "string",
45 "createdDate": "2019-08-24T14:15:22Z",
46 "lastModifiedDate": "2019-08-24T14:15:22Z",
47 "archived": true,
48 "externalId": "string",
49 "id": 0,
50 "cultureId": 0,
51 "value": "string"
52 }
53 ]
54 },
55 "status": {
56 "createdBy": "string",
57 "lastModifiedBy": "string",
58 "createdDate": "2019-08-24T14:15:22Z",
59 "lastModifiedDate": "2019-08-24T14:15:22Z",
60 "archived": true,
61 "externalId": "string",
62 "id": 0,
63 "priority": 0,
64 "internalId": 0,
65 "pickListCode": "string",
66 "pickListLabel": "string",
67 "label": "string",
68 "cultureId": 0,
69 "labelDtos": [
70 {
71 "createdBy": "string",
72 "lastModifiedBy": "string",
73 "createdDate": "2019-08-24T14:15:22Z",
74 "lastModifiedDate": "2019-08-24T14:15:22Z",
75 "archived": true,
76 "externalId": "string",
77 "id": 0,
78 "cultureId": 0,
79 "value": "string"
80 }
81 ]
82 }
83 }
84}
Budget - Get Documents For Budget¶
HTTP Request
GET /api/budgets/{budgetId}/documents
📋 Description: Retrieves documents associated with a specific budget within the Nakisa Portfolio Management Suite, enabling users to access relevant portfolio, asset, and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
budgetId |
path |
integer(int64) |
true |
Unique identifier for the budget |
pageable |
query |
true |
Indicates whether the results of the budget documents query should be returned in a paginated format, facilitating efficient data retrieval within the Nakisa Portfolio Management Suite. |
|
search |
query |
string |
false |
Search term used to filter and retrieve specific documents related to a budget within the Nakisa Portfolio Management Suite, enhancing portfolio and asset analytics for real estate properties. |
id |
query |
string |
false |
Unique identifier for the resource |
status-id |
query |
string |
false |
Unique identifier for the status of documents associated with a specific budget within the Nakisa Portfolio Management Suite, facilitating efficient portfolio and asset analytics. |
signed-date |
query |
string |
false |
Specifies the date on which the document was signed, providing essential context for portfolio and asset management within the Nakisa Portfolio Management Suite. |
name |
query |
string |
false |
Name of the resource |
title |
query |
string |
false |
Title of the resource |
type |
query |
string |
false |
Type of the resource |
shareable |
query |
string |
false |
Indicates whether the documents associated with the specified budget can be shared, facilitating collaboration and transparency in portfolio and asset management. |
document-type-id |
query |
string |
false |
Unique identifier for the type of document associated with a specific budget, facilitating effective management and analysis of portfolio assets within the Nakisa Portfolio Management Suite. |
document-type-id-in |
query |
string |
false |
Unique identifier for the type of document associated with the specified budget, facilitating targeted retrieval of portfolio and asset-related documents within the Nakisa Portfolio Management Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "documents": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "name": "string",
13 "title": "string",
14 "type": "string",
15 "description": "string",
16 "link": "string",
17 "signedDate": "2019-08-24",
18 "documentTypeId": 0,
19 "statusId": 0,
20 "shareable": true,
21 "size": 0,
22 "documentType": {
23 "createdBy": "string",
24 "lastModifiedBy": "string",
25 "createdDate": "2019-08-24T14:15:22Z",
26 "lastModifiedDate": "2019-08-24T14:15:22Z",
27 "archived": true,
28 "externalId": "string",
29 "id": 0,
30 "priority": 0,
31 "internalId": 0,
32 "pickListCode": "string",
33 "pickListLabel": "string",
34 "label": "string",
35 "cultureId": 0,
36 "labelDtos": [
37 {
38 "createdBy": "string",
39 "lastModifiedBy": "string",
40 "createdDate": "2019-08-24T14:15:22Z",
41 "lastModifiedDate": "2019-08-24T14:15:22Z",
42 "archived": true,
43 "externalId": "string",
44 "id": 0,
45 "cultureId": 0,
46 "value": "string"
47 }
48 ]
49 },
50 "status": {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "priority": 0,
59 "internalId": 0,
60 "pickListCode": "string",
61 "pickListLabel": "string",
62 "label": "string",
63 "cultureId": 0,
64 "labelDtos": [
65 {
66 "createdBy": "string",
67 "lastModifiedBy": "string",
68 "createdDate": "2019-08-24T14:15:22Z",
69 "lastModifiedDate": "2019-08-24T14:15:22Z",
70 "archived": true,
71 "externalId": "string",
72 "id": 0,
73 "cultureId": 0,
74 "value": "string"
75 }
76 ]
77 }
78 }
79 ]
80 },
81 "page": {
82 "size": 0,
83 "totalElements": 0,
84 "totalPages": 0,
85 "number": 0
86 }
87}
Budget - Upload Budget Document¶
HTTP Request
POST /api/budgets/{budgetId}/documents
📋 Description: Uploads documents associated with a specific budget in the Nakisa Portfolio Management Suite, enhancing portfolio and asset management through improved documentation and analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
budgetId |
path |
integer(int64) |
true |
Unique identifier for the budget |
body |
body |
object |
false |
Request body containing the document details, including title, description, and associated metadata, for the specified budget within the Nakisa Portfolio Management Suite. |
» file |
body |
string(binary) |
false |
none |
» document |
body |
true |
Data transfer object representing a document within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio assets, analytics, and real estate properties. |
|
»» createdBy |
body |
string |
false |
Username of who created this resource |
»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»» externalId |
body |
string |
false |
Unique identifier for the external |
»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»» name |
body |
string |
false |
Name of the resource |
»» title |
body |
string |
false |
Title of the resource |
»» type |
body |
string |
false |
Type of the resource |
»» description |
body |
string |
false |
Description of the resource |
»» link |
body |
string |
false |
URL link to access detailed information or resources related to the portfolio, asset, or real estate property within the Nakisa Portfolio Management Suite. |
»» signedDate |
body |
string(date) |
false |
Date of the signed |
»» documentTypeId |
body |
integer(int64) |
false |
Unique identifier for the document type |
»» statusId |
body |
integer(int64) |
false |
Unique identifier for the status |
»» shareable |
body |
boolean |
false |
Boolean flag indicating shareable status |
»» size |
body |
integer(int64) |
false |
Number of items per page |
»» documentType |
body |
false |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»» externalId |
body |
string |
false |
Unique identifier for the external |
»»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»»» priority |
body |
integer(int64) |
false |
Priority of the resource |
»»» internalId |
body |
integer(int64) |
false |
Unique identifier for the internal |
»»» pickListCode |
body |
string |
false |
Code for the pick list |
»»» pickListLabel |
body |
string |
false |
Label for the pick list |
»»» label |
body |
string |
false |
Label for the resource |
»»» cultureId |
body |
integer(int64) |
false |
Unique identifier for the culture |
»»» labelDtos |
body |
false |
List of labelDtos items |
|
»»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»»» externalId |
body |
string |
false |
Unique identifier for the external |
[...]
